Bug 103690 - macOS: libreoffice crash on startup, VCL thread mutex condition
Summary: macOS: libreoffice crash on startup, VCL thread mutex condition
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.2.2 release
Hardware: All Mac OS X (All)
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.0.2 target:5.4.6
Keywords: haveBacktrace, regression
: 103912 104069 104542 105001 105871 107054 112283 115422 116611 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-11-03 21:48 UTC by nicolas
Modified: 2018-04-03 15:00 UTC (History)
15 users (show)

See Also:
Crash report or crash signature:


Attachments
Second crash, macOS report (59.76 KB, text/plain)
2016-11-04 20:11 UTC, nicolas
Details
SAL_LOG=+TIMESTAMP+INFO,+WARN (185.71 KB, application/x-zip-compressed)
2016-11-07 10:45 UTC, Telesto
Details
MacOS crash report (71.12 KB, text/rtf)
2016-11-07 10:46 UTC, Telesto
Details
MacOS crash report (55.98 KB, text/rtf)
2016-11-07 12:24 UTC, Telesto
Details
SAL_LOG=+TIMESTAMP+INFO+WARN (7.84 KB, text/plain)
2016-11-08 10:02 UTC, Telesto
Details
LLDB backtrace (601.14 KB, text/rtf)
2016-11-08 12:29 UTC, Telesto
Details
macOS crashreports Activity Monitor (74.15 KB, application/x-zip-compressed)
2016-11-29 21:04 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nicolas 2016-11-03 21:48:26 UTC
Description:
NOTE: I had a LibreOfficeDev.app installed for a while before this because LibreOffice 5.2.2 had a bug where it would hang on open. Not sure if that's related.

macOS popped up a report window, which I'm sure contains useful data. I noticed LibreOffice tried switching from my integrated GPU to the discrete one before crashing as well.

Process:               soffice [27147]
Path:                  /Applications/LibreOffice.app/Contents/MacOS/soffice
Identifier:            org.libreoffice.script
Version:               5.2.3003 (5.2.3003)
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           soffice [27147]
User ID:               501

Date/Time:             2016-11-03 22:38:15.974 +0100
OS Version:            Mac OS X 10.12.1 (16B2555)
Report Version:        12
Anonymous UUID:        2B075655-A9B8-7021-17E1-E48A4DD31850

Sleep/Wake UUID:       837D39A7-5126-4FE3-B849-7E4831C2FCD7

Time Awake Since Boot: 44000 seconds
Time Since Wake:       1800 seconds

System Integrity Protection: enabled

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_BAD_ACCESS (SIGSEGV)
Exception Codes:       KERN_INVALID_ADDRESS at 0x0000000000000000
Exception Note:        EXC_CORPSE_NOTIFY

Termination Signal:    Segmentation fault: 11
Termination Reason:    Namespace SIGNAL, Code 0xb
Terminating Process:   exc handler [0]

VM Regions Near 0:
--> 
    __TEXT                 00000001033f5000-00000001033f6000 [    4K] r-x/rwx SM=COW  /Applications/LibreOffice.app/Contents/MacOS/soffice

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libvcllo.dylib                	0x0000000105e3b3cd Application::GetSolarMutex() + 13
1   libvcllo.dylib                	0x0000000105f0df5f -[VCL_NSApplication screenParametersChanged:] + 15
2   com.apple.CoreFoundation      	0x00007fff892625ec __CFNOTIFICATIONCENTER_IS_CALLING_OUT_TO_AN_OBSERVER__ + 12
3   com.apple.CoreFoundation      	0x00007fff892624eb _CFXRegistrationPost + 427
4   com.apple.CoreFoundation      	0x00007fff89262252 ___CFXNotificationPost_block_invoke + 50
5   com.apple.CoreFoundation      	0x00007fff89220972 -[_CFXNotificationRegistrar find:object:observer:enumerator:] + 2018
6   com.apple.CoreFoundation      	0x00007fff8921f95b _CFXNotificationPost + 667
7   com.apple.Foundation          	0x00007fff8ac4d0e3 -[NSNotificationCenter postNotificationName:object:userInfo:] + 66
8   com.apple.AppKit              	0x00007fff8727c1c6 -[NSApplication _reactToScreenInvalidationImmediately:] + 399
9   com.apple.AppKit              	0x00007fff8727c003 __44-[NSApplication _reactToScreenInvalidation:]_block_invoke + 59
10  com.apple.CoreFoundation      	0x00007fff8926c30c __CFRUNLOOP_IS_CALLING_OUT_TO_A_BLOCK__ + 12
11  com.apple.CoreFoundation      	0x00007fff8924d634 __CFRunLoopDoBlocks + 356
12  com.apple.CoreFoundation      	0x00007fff8924d176 __CFRunLoopRun + 1894
13  com.apple.CoreFoundation      	0x00007fff8924c7b4 CFRunLoopRunSpecific + 420
14  com.apple.HIToolbox           	0x00007fff887e8fbc RunCurrentEventLoopInMode + 240
15  com.apple.HIToolbox           	0x00007fff887e8cf9 ReceiveNextEventCommon + 184
16  com.apple.HIToolbox           	0x00007fff887e8c26 _BlockUntilNextEventMatchingListInModeWithFilter + 71
17  com.apple.AppKit              	0x00007fff86ed2b79 _DPSNextEvent + 1093
18  com.apple.AppKit              	0x00007fff875e81c3 -[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 1637
19  com.apple.AppKit              	0x00007fff86ec753d -[NSApplication run] + 926
20  com.apple.AppKit              	0x00007fff86e921ad NSApplicationMain + 1237
21  libvcllo.dylib                	0x0000000105eb89fd ImplSVMainHook(int*) + 397
22  libvcllo.dylib                	0x0000000105e3ff8a SVMain() + 26
23  libsofficeapp.dylib           	0x00000001034a4f4b soffice_main + 219
24  org.libreoffice.script        	0x00000001033f5f20 main + 16
25  libdyld.dylib                 	0x00007fff9e3b9255 start + 1

Thread 1:
0   libsystem_kernel.dylib        	0x00007fff9e4e7c8a __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fff9e5d196a _pthread_cond_wait + 712
2   libuno_sal.dylib.3            	0x0000000103405e82 rtl_cache_wsupdate_all(void*) + 130
3   libsystem_pthread.dylib       	0x00007fff9e5d0aab _pthread_body + 180
4   libsystem_pthread.dylib       	0x00007fff9e5d09f7 _pthread_start + 286
5   libsystem_pthread.dylib       	0x00007fff9e5d0221 thread_start + 13

Thread 2:
0   libsystem_kernel.dylib        	0x00007fff9e4e84e6 __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff9e5d07b5 _pthread_wqthread + 1426
2   libsystem_pthread.dylib       	0x00007fff9e5d0211 start_wqthread + 13

Thread 3:
0   libsystem_kernel.dylib        	0x00007fff9e4e84e6 __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff9e5d0622 _pthread_wqthread + 1023
2   libsystem_pthread.dylib       	0x00007fff9e5d0211 start_wqthread + 13

Thread 4:
0   libsystem_kernel.dylib        	0x00007fff9e4e84e6 __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff9e5d07b5 _pthread_wqthread + 1426
2   libsystem_pthread.dylib       	0x00007fff9e5d0211 start_wqthread + 13

Thread 5:
0   libsystem_kernel.dylib        	0x00007fff9e4e84e6 __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff9e5d07b5 _pthread_wqthread + 1426
2   libsystem_pthread.dylib       	0x00007fff9e5d0211 start_wqthread + 13

Thread 6:
0   libsystem_kernel.dylib        	0x00007fff9e4e84e6 __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff9e5d07b5 _pthread_wqthread + 1426
2   libsystem_pthread.dylib       	0x00007fff9e5d0211 start_wqthread + 13

Thread 7:

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x00000001060b39d0  rbx: 0x000061000005ae20  rcx: 0x0000618000105bb0  rdx: 0x000060000004fea0
  rdi: 0x0000000000000000  rsi: 0x0000000105fc2d70  rbp: 0x00007fff5c808980  rsp: 0x00007fff5c808980
   r8: 0x0000000000000000   r9: 0x0000000000000000  r10: 0x001fb801001fb880  r11: 0x0000000105f0df50
  r12: 0x0000000000000000  r13: 0x000061000006ba00  r14: 0x000060000004fea0  r15: 0x0000000000000000
  rip: 0x0000000105e3b3cd  rfl: 0x0000000000010202  cr2: 0x0000000000000000
  
Logical CPU:     0
Error Code:      0x00000004
Trap Number:     14


Binary Images:
       0x1033f5000 -        0x1033f5fff +org.libreoffice.script (5.2.3003 - 5.2.3003) <01984524-504A-3B08-AAF0-2E55D9BEF61D> /Applications/LibreOffice.app/Contents/MacOS/soffice
       0x1033fe000 -        0x103445ff7 +libuno_sal.dylib.3 (0) <A7AC7E2F-866F-3472-A9DA-CB2FA0D5E143> /Applications/LibreOffice.app/Contents/Frameworks/libuno_sal.dylib.3
       0x103472000 -        0x1034fdff7 +libsofficeapp.dylib (0) <91A62E80-DBE3-370B-B326-9EEC7A3532A6> /Applications/LibreOffice.app/Contents/Frameworks/libsofficeapp.dylib
       0x103547000 -        0x103548fff +libclewlo.dylib (0) <6A76A434-CEC0-32F9-9D85-EC7F3459D39D> /Applications/LibreOffice.app/Contents/Frameworks/libclewlo.dylib
       0x103555000 -        0x10366bff7 +libcomphelper.dylib (0) <64FD67C6-F330-37E8-84F6-1F266F62B060> /Applications/LibreOffice.app/Contents/Frameworks/libcomphelper.dylib
       0x103743000 -        0x10376afff +libuno_cppu.dylib.3 (0) <F3720F2F-DC5A-3753-9047-412BAC196DC0> /Applications/LibreOffice.app/Contents/Frameworks/libuno_cppu.dylib.3
       0x103783000 -        0x103842fff +libuno_cppuhelpergcc3.dylib.3 (0) <49AB8E09-77DB-36EB-B74D-ACD73E5F765C> /Applications/LibreOffice.app/Contents/Frameworks/libuno_cppuhelpergcc3.dylib.3
       0x1038c8000 -        0x1038edfff +libdeploymentmisclo.dylib (0) <706BB4F6-093F-37EA-BB37-7E4A82F8E0D5> /Applications/LibreOffice.app/Contents/Frameworks/libdeploymentmisclo.dylib
       0x10390b000 -        0x103abcfff +libeditenglo.dylib (0) <AFABFE2F-EE59-34C1-9A59-F96997219D08> /Applications/LibreOffice.app/Contents/Frameworks/libeditenglo.dylib
       0x103bca000 -        0x103be3fff +libi18nlangtag.dylib (0) <F6F1BA1D-ADC4-3485-BE02-7C985B8CBDFA> /Applications/LibreOffice.app/Contents/Frameworks/libi18nlangtag.dylib
       0x103bf4000 -        0x103c08ff7 +libopencllo.dylib (0) <24665414-84E0-3DDE-9D91-7E54AD3961D2> /Applications/LibreOffice.app/Contents/Frameworks/libopencllo.dylib
       0x103c1b000 -        0x103c1eff7 +libuno_salhelpergcc3.dylib.3 (0) <AABA9F42-61F1-3AC6-8D15-B17414411107> /Applications/LibreOffice.app/Contents/Frameworks/libuno_salhelpergcc3.dylib.3
       0x103c2a000 -        0x103d87fff +libsblo.dylib (0) <2019384A-F7F8-3CCE-9557-655CDAD4CA83> /Applications/LibreOffice.app/Contents/Frameworks/libsblo.dylib
       0x103e31000 -        0x104220fff +libsfxlo.dylib (0) <93053DC0-59FC-33C7-83F7-48B2F0417047> /Applications/LibreOffice.app/Contents/Frameworks/libsfxlo.dylib
       0x10446b000 -        0x10454afff +libsvllo.dylib (0) <CBD93D21-8AF1-3DE5-8AAA-CD25C9C6D186> /Applications/LibreOffice.app/Contents/Frameworks/libsvllo.dylib
       0x1045c4000 -        0x104bbcfff +libsvxcorelo.dylib (0) <53B6EE08-E11C-30A3-AEB2-7A589844ED24> /Applications/LibreOffice.app/Contents/Frameworks/libsvxcorelo.dylib
       0x104f85000 -        0x105229fff +libsvtlo.dylib (0) <0E3ED212-0779-34A8-A70A-0DB8B2C35F16> /Applications/LibreOffice.app/Contents/Frameworks/libsvtlo.dylib
       0x1053f7000 -        0x10568ffff +libtklo.dylib (0) <B13C0F5F-B8CE-35E6-90AB-90A2F887D19D> /Applications/LibreOffice.app/Contents/Frameworks/libtklo.dylib
       0x1058af000 -        0x10590dff7 +libtllo.dylib (0) <B66F29C4-D55B-3337-A429-4C2D66C9713B> /Applications/LibreOffice.app/Contents/Frameworks/libtllo.dylib
       0x10593c000 -        0x10599cff7 +libucbhelper.dylib (0) <F2D46927-C44F-3CA8-A097-C792BB74DE17> /Applications/LibreOffice.app/Contents/Frameworks/libucbhelper.dylib
       0x1059eb000 -        0x105adffff +libutllo.dylib (0) <C269AE27-BD01-3B07-BC63-B2075CDDCDB8> /Applications/LibreOffice.app/Contents/Frameworks/libutllo.dylib
       0x105b70000 -        0x106078fff +libvcllo.dylib (0) <8C6312C7-7349-3A69-8031-37CFEEED09EF> /Applications/LibreOffice.app/Contents/Frameworks/libvcllo.dylib
       0x106272000 -        0x1063bdfff +libicuuc.dylib.57 (0) <A95D88F3-BC67-3FC3-977D-A0001A25AA9F> /Applications/LibreOffice.app/Contents/Frameworks/libicuuc.dylib.57
       0x106431000 -        0x106448fff +libreglo.dylib (0) <D6B8690B-0875-3A32-9090-CA987AB4B363> /Applications/LibreOffice.app/Contents/Frameworks/libreglo.dylib
       0x106458000 -        0x1064bdfff +libunoidllo.dylib (0) <A342777C-ED75-3E2E-81DF-92E2BD653948> /Applications/LibreOffice.app/Contents/Frameworks/libunoidllo.dylib
       0x1064d5000 -        0x1064ddfff +libxmlreaderlo.dylib (0) <D8820C9F-300E-39EF-941A-CF2B2F73B727> /Applications/LibreOffice.app/Contents/Frameworks/libxmlreaderlo.dylib
       0x1064e7000 -        0x1064fafff +libstorelo.dylib (0) <F511C3CC-98DE-3DF7-BB32-A078D9F18D81> /Applications/LibreOffice.app/Contents/Frameworks/libstorelo.dylib
       0x10650d000 -        0x106530ff7 +liblangtag.1.dylib (0) <C2AFC462-8FBE-3DE5-BA43-7C2918792487> /Applications/LibreOffice.app/Contents/Frameworks/liblangtag.1.dylib
       0x106540000 -        0x107d8efff +libicudata.dylib.57 (0) <8FD5A75E-28E7-3C0F-9254-F2C724B34102> /Applications/LibreOffice.app/Contents/Frameworks/libicudata.dylib.57
       0x107db6000 -        0x107e40fff +libxmlscriptlo.dylib (0) <64E4DB39-C079-3047-A71D-4FA0DBCAC2DB> /Applications/LibreOffice.app/Contents/Frameworks/libxmlscriptlo.dylib
       0x107e7f000 -        0x107effff7 +libbasegfxlo.dylib (0) <A5B8FDA0-BDBC-3EAA-B908-DE9313A6DED0> /Applications/LibreOffice.app/Contents/Frameworks/libbasegfxlo.dylib
       0x107f2c000 -        0x107f3efff +libsaxlo.dylib (0) <B16A0F85-2FF1-3267-8D96-ABC48814D528> /Applications/LibreOffice.app/Contents/Frameworks/libsaxlo.dylib
       0x107f52000 -        0x1082f2fff +libxolo.dylib (0) <FEDA1C58-E314-3AB4-A645-0608258F1155> /Applications/LibreOffice.app/Contents/Frameworks/libxolo.dylib
       0x1084b2000 -        0x108535ff7 +liblnglo.dylib (0) <AFA0F72D-48D5-3BD8-9FDD-D54B736E3904> /Applications/LibreOffice.app/Contents/Frameworks/liblnglo.dylib
       0x108596000 -        0x1085e6ff7 +libsotlo.dylib (0) <E7000D83-99D2-3CF6-B69E-45FE7ABFEEB1> /Applications/LibreOffice.app/Contents/Frameworks/libsotlo.dylib
       0x10861d000 -        0x10862dfff +libi18nutil.dylib (0) <587C4FAE-F5A3-30B3-A32C-12A3EFD59D9B> /Applications/LibreOffice.app/Contents/Frameworks/libi18nutil.dylib
       0x108642000 -        0x108662fff +libjvmfwklo.dylib (0) <C7D256A3-CC23-3805-9E42-6E02D7AF4738> /Applications/LibreOffice.app/Contents/Frameworks/libjvmfwklo.dylib
       0x108678000 -        0x108862ff7 +libicui18n.dylib.57 (0) <46874876-4F6C-3AC7-AB84-0AFBDD043BCF> /Applications/LibreOffice.app/Contents/Frameworks/libicui18n.dylib.57
       0x10894b000 -        0x10894efff +libjvmaccesslo.dylib (0) <1B8288E8-817F-3843-A801-579A22DE359B> /Applications/LibreOffice.app/Contents/Frameworks/libjvmaccesslo.dylib
       0x108957000 -        0x10895dff7 +libAppleRemotelo.dylib (0) <646FCBF7-0AE7-3FBF-ADB1-8EDC2D8D96A5> /Applications/LibreOffice.app/Contents/Frameworks/libAppleRemotelo.dylib
       0x108967000 -        0x1089acfff +libcurl.4.dylib (0) <D4BAF6AE-D4E8-3383-902E-1DC48AF53B43> /Applications/LibreOffice.app/Contents/Frameworks/libcurl.4.dylib
       0x1089bb000 -        0x108a09fff +libnspr4.dylib (0) <A8B2E6FE-914F-34E1-9C7E-CD2A08C317C9> /Applications/LibreOffice.app/Contents/Frameworks/libnspr4.dylib
       0x108a38000 -        0x108be4fff +libnss3.dylib (0) <961209B8-2E6B-3A7D-B0CC-31CFD1BEFBC7> /Applications/LibreOffice.app/Contents/Frameworks/libnss3.dylib
       0x108c98000 -        0x108ccdff7 +libsmime3.dylib (0) <42733475-6AF3-3BE8-9EEA-6153EF60DA8F> /Applications/LibreOffice.app/Contents/Frameworks/libsmime3.dylib
       0x108cf1000 -        0x108cf6ff7 +libplc4.dylib (0) <40C0CDEE-19E3-3526-A555-654B4ED5C126> /Applications/LibreOffice.app/Contents/Frameworks/libplc4.dylib
       0x108cfe000 -        0x108d48ff7 +liblcms2.2.dylib (0) <F7BF8850-B53D-3CC4-9C21-2A5C62845C35> /Applications/LibreOffice.app/Contents/Frameworks/liblcms2.2.dylib
       0x108d63000 -        0x108dcdff7 +libGLEW.1.12.0.dylib (0) <74C17001-D349-3EC1-B994-753D5BDA83FD> /Applications/LibreOffice.app/Contents/Frameworks/libGLEW.1.12.0.dylib
       0x108e08000 -        0x108e34ff7 +libnssutil3.dylib (0) <30FE897D-5A4E-3535-B8FB-B4C919E051E5> /Applications/LibreOffice.app/Contents/Frameworks/libnssutil3.dylib
       0x108e5a000 -        0x108e5dfff +libplds4.dylib (0) <9B5B8BCC-371F-3D80-92F2-556672625B2A> /Applications/LibreOffice.app/Contents/Frameworks/libplds4.dylib
       0x108e67000 -        0x108e6bffb  com.apple.agl (3.3.1 - AGL-3.3.1) <0B0E6527-C8E2-3162-BED1-DC2DD8DD2F95> /System/Library/Frameworks/AGL.framework/Versions/A/AGL
       0x108e7a000 -        0x108f68fff +libdrawinglayerlo.dylib (0) <45546AFB-565D-3A5D-850A-87BA03F1E3C1> /Applications/LibreOffice.app/Contents/Frameworks/libdrawinglayerlo.dylib
       0x109000000 -        0x109073fff +libfwelo.dylib (0) <FDBBF6CE-EB14-339B-B4F2-2BA57FB42738> /Applications/LibreOffice.app/Contents/Frameworks/libfwelo.dylib
       0x1090c3000 -        0x1090f1fff +libcanvastoolslo.dylib (0) <BB20AC14-822C-3EF0-A8CE-9C35EA199914> /Applications/LibreOffice.app/Contents/Frameworks/libcanvastoolslo.dylib
       0x109117000 -        0x109160ff7 +libcppcanvaslo.dylib (0) <A5D8846D-C19E-3F07-9EE4-CCB6C66B00FB> /Applications/LibreOffice.app/Contents/Frameworks/libcppcanvaslo.dylib
       0x10918b000 -        0x1091a6fff +libfwilo.dylib (0) <58305779-5B28-3182-8C1E-DD080DEA70D8> /Applications/LibreOffice.app/Contents/Frameworks/libfwilo.dylib
       0x1091c1000 -        0x109322ff7 +libdbtoolslo.dylib (0) <73940787-3DE4-3F08-B419-D728BC43B706> /Applications/LibreOffice.app/Contents/Frameworks/libdbtoolslo.dylib
       0x1097ff000 -        0x109816ff3  libCGInterfaces.dylib (331.5) <C02EBC60-D365-38B2-8725-DA65A48A4ADA> /System/Library/Frameworks/Accelerate.framework/Frameworks/vImage.framework/Versions/A/Libraries/libCGInterfaces.dylib
       0x10a1b2000 -        0x10a26cff7  com.apple.AMDRadeonX3000GLDriver (1.46.22 - 1.4.6) <73D84096-2E00-3579-98C9-53395DCE65EE> /System/Library/Extensions/AMDRadeonX3000GLDriver.bundle/Contents/MacOS/AMDRadeonX3000GLDriver
       0x10a297000 -        0x10a2d4287  dyld (421.2) <13A9466A-2576-3ABB-AD9D-D6BC16439B8F> /usr/lib/dyld
       0x10a322000 -        0x10b2a9ff7 +libavmedialo.dylib (0) <3417F9D2-47CB-3ED8-839E-66334514E275> /Applications/LibreOffice.app/Contents/Frameworks/libavmedialo.dylib
       0x10d98d000 -        0x10db33fff  GLEngine (12.4.5) <A4E7F3A2-5025-3C7D-AAF5-6187601A8C00> /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
       0x10db71000 -        0x10dce7ffb  libGLProgrammability.dylib (12.4.5) <6F6A4BA1-2DB2-3D22-9BEE-E45F6455BAE1> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
       0x10df9f000 -        0x10e28eff7  com.apple.driver.AppleIntelHD3000GraphicsGLDriver (10.2.10 - 10.0.2) <02978E0D-71B7-3B1C-A584-6ADBA799D380> /System/Library/Extensions/AppleIntelHD3000GraphicsGLDriver.bundle/Contents/MacOS/AppleIntelHD3000GraphicsGLDriver
       0x10e45b000 -        0x10e661ffb  ATIRadeonX3000SCLib.dylib (1.46.22) <EC0391A5-37BD-3174-8003-56121D413F81> /System/Library/Extensions/AMDRadeonX3000GLDriver.bundle/Contents/MacOS/ATIRadeonX3000SCLib.dylib
       0x10e6bd000 -        0x10e6e7ffb  GLRendererFloat (12.4.5) <9C53418B-2B6F-3B16-AA50-EF8CD632B05F> /System/Library/Frameworks/OpenGL.framework/Resources/GLRendererFloat.bundle/GLRendererFloat
    0x7fff85d52000 -     0x7fff85d52fff  com.apple.Accelerate (1.11 - Accelerate 1.11) <409E886A-9B89-3EF5-B434-BDFC1896A918> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff85d6b000 -     0x7fff863abfe3  com.apple.vImage (8.1 - ???) <85E957AD-3D7D-38C3-A0FA-CCD98FBE8C37> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff863ac000 -     0x7fff86573fef  libBLAS.dylib (1185) <0D55CF73-6DBD-3D15-B500-189479638551> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff86574000 -     0x7fff8658bfff  libBNNS.dylib (14) <43A9B06E-3C21-3CE6-B0C1-99DA172DEEB0> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib
    0x7fff8658c000 -     0x7fff86997fff  libLAPACK.dylib (1185) <E7AE9C48-6E42-3EB7-A257-D48E0CB48D00> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff86998000 -     0x7fff869aefff  libLinearAlgebra.dylib (1185) <08F00EFB-B477-3421-906E-3D364E607E6A> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fff869af000 -     0x7fff869b5fff  libQuadrature.dylib (3) <120F6228-A3D4-3184-89D7-785ADC2AC715> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib
    0x7fff869b6000 -     0x7fff869c9ff7  libSparseBLAS.dylib (1185) <912E3D25-27C0-3245-B64C-3CAD43A5D633> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
    0x7fff869ca000 -     0x7fff86b17ff7  libvDSP.dylib (600) <12217266-9823-3C9B-AA5E-A8BD1BD46F24> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff86b18000 -     0x7fff86bcffff  libvMisc.dylib (600) <73623707-9367-3D0F-9874-0B69FACEBB7F> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff86bd0000 -     0x7fff86bd0fff  com.apple.Accelerate.vecLib (3.11 - vecLib 3.11) <B4B785D8-CB43-3E5D-AE81-1F27885AA112> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff86e8c000 -     0x7fff87b6cff3  com.apple.AppKit (6.9 - 1504.60) <5DA1E013-575C-34D5-A028-1639EB7B0040> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff87b7e000 -     0x7fff87b7efff  com.apple.ApplicationServices (48 - 48) <3E1395EA-C661-3318-9B87-9857BB81021B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff87b7f000 -     0x7fff87bedff7  com.apple.ApplicationServices.ATS (377 - 422.1) <FF4D9FCA-D799-3ED1-B5F8-3D81C29342D0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff87c87000 -     0x7fff87db5ff7  libFontParser.dylib (194.2) <E29F233F-773A-3070-874A-83799BDF0B5D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff87db6000 -     0x7fff87e00fff  libFontRegistry.dylib (196.2) <8AEE7F4E-60F0-33BB-99E4-5381EF1FEC6F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff87e5d000 -     0x7fff87e8ffff  libTrueTypeScaler.dylib (194.2) <A8520109-5F65-3144-ABF7-E22B98A74287> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
    0x7fff87efb000 -     0x7fff87fa5ff7  com.apple.ColorSync (4.12.0 - 502) <C86F8032-83DD-34EB-A4CB-87E96F25CF1C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff87fa6000 -     0x7fff87ff6fff  com.apple.HIServices (1.22 - 590) <109A9893-313B-3467-9892-062F49D1FF0D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff87ff7000 -     0x7fff88006ff3  com.apple.LangAnalysis (1.7.0 - 1.7.0) <47D1A017-91A4-37F3-93E0-3923CD6ED2DE> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff88007000 -     0x7fff88054fff  com.apple.print.framework.PrintCore (12 - 491) <B7CC15C1-AF50-37F3-8AF6-65F8CDC323F0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff88055000 -     0x7fff88090fff  com.apple.QD (3.12 - 310) <8F718290-DD82-36CE-9AF0-EFB6D31A49F4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff88091000 -     0x7fff8809cff7  com.apple.speech.synthesis.framework (6.0.15 - 6.0.15) <23EA6076-ECDF-3A50-81E7-3CE6451DC8C4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff8809d000 -     0x7fff882abff7  com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14) <BA73DBAD-A9D2-3BA7-BCDB-4790D6C8B460> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff882ac000 -     0x7fff882acfff  com.apple.audio.units.AudioUnit (1.14 - 1.14) <C49668FF-2971-3E30-92BB-09E0720E74A5> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff88415000 -     0x7fff88799ff7  com.apple.CFNetwork (807.1.3 - 807.1.3) <336BFAD9-1BAE-368E-8C48-B9F1CC251C67> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff887b3000 -     0x7fff887b3fff  com.apple.Carbon (154 - 157) <AB71A31F-5B15-3BF5-8532-591EACD07B21> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff887b4000 -     0x7fff887b7fff  com.apple.CommonPanels (1.2.6 - 98) <DDA2DF0B-86E7-34B6-B688-D7371DBC8A63> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff887b8000 -     0x7fff88abcfff  com.apple.HIToolbox (2.1.1 - 856.6) <DAF74CE6-8B6B-3347-B299-FE860B517D38> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff88abd000 -     0x7fff88ac0ff7  com.apple.help (1.3.5 - 49) <27C5F9FE-838F-3807-A4AC-D99470185B10> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff88ac1000 -     0x7fff88ac6fff  com.apple.ImageCapture (9.0 - 9.0) <E3E757FD-4060-33A4-A2AC-85EFBD987FCE> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff88ac7000 -     0x7fff88b5eff3  com.apple.ink.framework (10.9 - 219) <B44BA36D-7549-3EB2-8CF6-E171885194FB> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff88b5f000 -     0x7fff88b79fff  com.apple.openscripting (1.7 - 172) <B204BF70-C4AA-3699-8493-66E6645A92A8> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff88b7a000 -     0x7fff88b7bff3  com.apple.print.framework.Print (12 - 267) <CA7E9448-0903-34C8-AAF6-9070B52BF70E> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff88b7c000 -     0x7fff88b7eff7  com.apple.securityhi (9.0 - 55006) <FFB3F28C-B982-34EF-8510-8D6D10975404> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff88b7f000 -     0x7fff88b85ff7  com.apple.speech.recognition.framework (6.0.1 - 6.0.1) <A20B0F7B-C32A-3FF1-BB75-BAC0EE4EF889> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff88c65000 -     0x7fff88c65fff  com.apple.Cocoa (6.11 - 22) <5EEB0A26-F1C2-3D57-8441-52C0B80C2A6A> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff88d9b000 -     0x7fff88e2bff7  com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <4082E8CC-568A-364A-9AF0-92F30F067D42> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff88e2c000 -     0x7fff88e3fff3  com.apple.CoreBluetooth (1.0 - 1) <73A2B185-70E4-3535-A653-E1BC74584E55> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
    0x7fff88e40000 -     0x7fff8913afff  com.apple.CoreData (120 - 752.2) <51AB540E-01AE-3207-8DE5-3E912FA9B5DF> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff8913b000 -     0x7fff891c7fff  com.apple.CoreDisplay (1.0 - 1) <ACA3B0B8-6900-3445-B202-C5C312421E44> /System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay
    0x7fff891c8000 -     0x7fff8965bfff  com.apple.CoreFoundation (6.9 - 1348.15) <A372C4F3-C484-38F1-947E-04712740B2AD> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff8965c000 -     0x7fff89cfcff7  com.apple.CoreGraphics (2.0 - 1070.8) <F40EC0F4-D013-3FE4-9FF6-2B8019CA037D> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff89cfd000 -     0x7fff89f3cff7  com.apple.CoreImage (12.0.0 - 451) <4A79760F-FD23-3055-9569-5F038818993F> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff8a097000 -     0x7fff8a097fff  com.apple.CoreServices (775.8.2 - 775.8.2) <FE7B0765-C41F-3FD9-8FD7-094466AAD0EB> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff8a098000 -     0x7fff8a0e9ff7  com.apple.AE (712 - 712) <0EF17D7E-6BA4-3555-BC38-9BD0CC5B82A3> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff8a0ea000 -     0x7fff8a3c5fff  com.apple.CoreServices.CarbonCore (1159 - 1159) <837B7ECF-7E62-3210-988C-63D7AB4EAA88> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff8a3c6000 -     0x7fff8a3f9fff  com.apple.DictionaryServices (1.2 - 274) <302B8678-D057-3CF8-ACA7-7424A4A6A00A> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff8a3fa000 -     0x7fff8a402ffb  com.apple.CoreServices.FSEvents (1230 - 1230) <8836E7D0-844F-36F9-9601-B630BB82336B> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
    0x7fff8a403000 -     0x7fff8a56efff  com.apple.LaunchServices (775.8.2 - 775.8.2) <7389590A-0E30-3294-B39C-F179D237F6C4> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff8a56f000 -     0x7fff8a61fffb  com.apple.Metadata (10.7.0 - 1075.17) <40F7E6E2-B58B-34E1-B97B-26756ECDB947> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff8a620000 -     0x7fff8a67ffff  com.apple.CoreServices.OSServices (775.8.2 - 775.8.2) <C949CF81-3510-3987-AEB4-9A961B738DA2> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff8a680000 -     0x7fff8a6f0fff  com.apple.SearchKit (1.4.0 - 1.4.0) <F1B3EF8D-E820-317C-AC7F-8F056C246874> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff8a6f1000 -     0x7fff8a737ff7  com.apple.coreservices.SharedFileList (38 - 38) <6C5A3FBB-9502-3725-AC3A-AE7B1528BBD4> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
    0x7fff8a7c4000 -     0x7fff8a90fffb  com.apple.CoreText (352.0 - 544.1) <3229A726-303B-3B09-A014-8708C3BEF2D1> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff8a910000 -     0x7fff8a945fff  com.apple.CoreVideo (1.8 - 234.0) <48C31E93-87C2-31F4-97E7-9E54C1EA8E7D> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff8a946000 -     0x7fff8a9b7ffb  com.apple.framework.CoreWLAN (11.0 - 1200.25.1) <0425CA71-50D9-32DC-8693-CAE6CB3B799D> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fff8a9e7000 -     0x7fff8a9f2ff3  com.apple.DirectoryService.Framework (10.12 - 194) <829AFAAD-5742-332D-B84D-AF161FB57660> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
    0x7fff8a9f3000 -     0x7fff8aab1ff7  com.apple.DiscRecording (9.0.3 - 9030.4.5) <BB73A94D-1A40-3F62-9BD9-82DEE9DB8FE9> /System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecording
    0x7fff8aab2000 -     0x7fff8aab7fff  com.apple.DiskArbitration (2.7 - 2.7) <566D5C06-13E8-3638-B2EC-2B834D5F04F1> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff8ac46000 -     0x7fff8afedffb  com.apple.Foundation (6.9 - 1349) <08A463B1-296E-3AC1-B8D3-01A75B0785A8> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff8b019000 -     0x7fff8b04afff  com.apple.GSS (4.0 - 2.0) <4F3C9982-457C-3731-85DB-8CE1A72621B0> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff8b0fe000 -     0x7fff8b1a1fff  com.apple.Bluetooth (5.0.1 - 5.0.1f7) <406E3901-F5D3-3996-84F7-32975EBE8F86> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
    0x7fff8b1a2000 -     0x7fff8b237ff7  com.apple.framework.IOKit (2.0.2 - 1324.21.1) <EEFE7FF0-CE41-326A-A571-8AA0B2E89271> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff8b238000 -     0x7fff8b23effb  com.apple.IOSurface (153.1 - 153.1) <849B0928-3D37-3977-9670-19979DB4EE4D> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff8b292000 -     0x7fff8b3ebff7  com.apple.ImageIO.framework (3.3.0 - 1570.2) <E7D7EE8F-F96C-3D9C-8C32-6878C00C5ED4> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff8b3ec000 -     0x7fff8b3f0fff  libGIF.dylib (1570.2) <FC19393B-4D30-3B63-897E-15BE1DBA9030> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff8b3f1000 -     0x7fff8b4e2fff  libJP2.dylib (1570.2) <84DB1AB5-8C2A-30CD-BFDA-8C882023E523> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff8b4e3000 -     0x7fff8b506fff  libJPEG.dylib (1570.2) <D1943174-2A17-3482-A67C-9EE6B31EBD94> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff8b507000 -     0x7fff8b52dfff  libPng.dylib (1570.2) <723EFF56-B176-30F8-B5C9-51AEDC4A8F42> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff8b52e000 -     0x7fff8b530ff3  libRadiance.dylib (1570.2) <19162142-F424-3BE0-BCFB-A835EE7A6451> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff8b531000 -     0x7fff8b58afff  libTIFF.dylib (1570.2) <72AB88A4-2D95-31CD-AE15-8F15F7F558E4> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff8c14c000 -     0x7fff8c165ff7  com.apple.Kerberos (3.0 - 1) <49DCBE1A-130C-3FBF-AAEA-AF9A518913AC> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff8c166000 -     0x7fff8c19cfff  com.apple.LDAPFramework (2.4.28 - 194.5) <850BB4C5-2548-33A5-B00C-0600CA59EE59> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
    0x7fff8c94c000 -     0x7fff8c9a3ff7  com.apple.Metal (85.85 - 85.85) <EF221C0E-9638-312B-9455-FF3C69180C45> /System/Library/Frameworks/Metal.framework/Versions/A/Metal
    0x7fff8d0b9000 -     0x7fff8d0c1fff  com.apple.NetFS (6.0 - 4.0) <6614F9B8-0861-338B-8FF0-8E402F96141C> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff8d295000 -     0x7fff8d29dff7  libcldcpuengine.dylib (2.8.4) <B43FD148-4550-3EB1-9971-F5EFC0456CCE> /System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/libcldcpuengine.dylib
    0x7fff8d466000 -     0x7fff8d4b4ff3  com.apple.opencl (2.8.6 - 2.8.6) <819DE36A-893E-3100-8430-EEB9D7023672> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff8d4b5000 -     0x7fff8d4ceffb  com.apple.CFOpenDirectory (10.12 - 194) <BDD22B3E-4149-366A-A974-942280861DD4> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff8d4cf000 -     0x7fff8d4daff7  com.apple.OpenDirectory (10.12 - 194) <E1125140-E42C-369C-8DC8-D0935767B275> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff8d4db000 -     0x7fff8d4ddfff  libCVMSPluginSupport.dylib (12.4.5) <AF349AF5-ACC9-32C8-98BE-1DC9523156C5> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff8d4de000 -     0x7fff8d4e1ff7  libCoreFSCache.dylib (150) <991F00EB-B1B4-3351-9D83-C11E4920C360> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
    0x7fff8d4e2000 -     0x7fff8d4e5fff  libCoreVMClient.dylib (150) <06276E05-1FB2-3748-A236-1F66468A1755> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff8d4e6000 -     0x7fff8d4eeffb  libGFXShared.dylib (12.4.5) <67ABA30E-DA8A-336C-8137-11CD0D455741> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff8d4ef000 -     0x7fff8d4fafff  libGL.dylib (12.4.5) <920D2CC5-D64F-35A5-8C54-4A5731AEC552> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff8d4fb000 -     0x7fff8d537ff7  libGLImage.dylib (12.4.5) <BEDFA6BF-0D9C-35ED-9DDD-FDBB1F6AAF95> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff8d6af000 -     0x7fff8d6efff3  libGLU.dylib (12.4.5) <79C811DC-7904-3A7D-A983-B3E8D5439336> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff8e057000 -     0x7fff8e065fff  com.apple.opengl (12.4.5 - 12.4.5) <B33F90DE-B86B-38E3-BCDB-5C8B4952D84B> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff8ed77000 -     0x7fff8ef71fff  com.apple.QuartzCore (1.11 - 449.39.5) <B1815529-31B4-3FD0-923D-C3E964F844FF> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff8f4d7000 -     0x7fff8f7f2ff7  com.apple.security (7.0 - 57740.20.22) <7E95D13A-0D52-36A9-A1C4-C21EE26AB2AB> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff8f7f3000 -     0x7fff8f869ff7  com.apple.securityfoundation (6.0 - 55132.20.1) <8DDEA805-C6F7-3EF9-990F-136617DB942D> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff8f893000 -     0x7fff8f896ff3  com.apple.xpc.ServiceManagement (1.0 - 1) <A88DACDF-71A9-3974-8D8D-DAA2B64F2CA5> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff8fc1b000 -     0x7fff8fc8cff7  com.apple.SystemConfiguration (1.14 - 1.14) <013957CA-2708-31F0-845D-11E271C96B94> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff91b3f000 -     0x7fff91b44ff7  com.apple.APFS (1.0 - 1) <AB6F6CA1-7C94-3E60-9AEB-045D0BB45884> /System/Library/PrivateFrameworks/APFS.framework/Versions/A/APFS
    0x7fff922a4000 -     0x7fff922bfff3  com.apple.AppContainer (4.0 - 307.20.1) <AE48030D-760D-3C46-A5EB-FD09B42543ED> /System/Library/PrivateFrameworks/AppContainer.framework/Versions/A/AppContainer
    0x7fff922ce000 -     0x7fff922f0ffb  com.apple.framework.Apple80211 (12.0 - 1200.37) <25299C0F-7A30-3BAA-9945-DB1515F68A2C> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
    0x7fff922f1000 -     0x7fff92300fdb  com.apple.AppleFSCompression (88 - 1.0) <D3A6F5F9-2132-34B5-933F-DF5D6733DE8B> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
    0x7fff923f6000 -     0x7fff9248197f  com.apple.AppleJPEG (1.0 - 1) <B4C3209B-58A5-359F-A898-F61B6C40E5E9> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
    0x7fff924b1000 -     0x7fff924b9ffb  com.apple.AppleSRP (5.0 - 1) <F105D2D2-8A12-3361-9C9D-E405668CAF75> /System/Library/PrivateFrameworks/AppleSRP.framework/Versions/A/AppleSRP
    0x7fff9289d000 -     0x7fff9291bff7  com.apple.backup.framework (1.8.1 - 1.8.1) <792B4983-DE9A-377D-8338-93719706D12F> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff93539000 -     0x7fff93560ffb  com.apple.ChunkingLibrary (172 - 172) <83E91936-305D-32A4-A256-5582B96B1852> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fff93e7b000 -     0x7fff93e86ffb  com.apple.CommerceCore (1.0 - 580.11) <C9E17FD2-48F3-3F86-9BF6-A723A6111CAC> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
    0x7fff93e87000 -     0x7fff93e90ffb  com.apple.CommonAuth (4.0 - 2.0) <D561391D-80B8-35F8-9EFF-1ACC89895E38> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff94494000 -     0x7fff9449cffb  com.apple.frameworks.CoreDaemon (1.3 - 1.3) <212D3DB2-DC44-329F-B810-238DF156D1EE> /System/Library/PrivateFrameworks/CoreDaemon.framework/Versions/B/CoreDaemon
    0x7fff945ac000 -     0x7fff945bdff7  com.apple.CoreEmoji (1.0 - 39.1) <54432658-8481-3F33-ADED-B60684311E11> /System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji
    0x7fff9489f000 -     0x7fff948cfff3  com.apple.CoreServicesInternal (276 - 276) <CCB21255-89DC-3F53-A6D6-8FA8F693C837> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff94b58000 -     0x7fff94be2fff  com.apple.CoreSymbolication (61050) <15C4AF49-2F85-3265-B53F-4925616C746E> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff94be3000 -     0x7fff94d21fcf  com.apple.coreui (2.1 - 426.9.1) <A7672B5D-9972-34B8-968A-188D422083AE> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff94d22000 -     0x7fff94dc1ffb  com.apple.CoreUtils (4.3 - 430.70) <946F5089-9F8D-3595-8208-AD945B26D267> /System/Library/PrivateFrameworks/CoreUtils.framework/Versions/A/CoreUtils
    0x7fff94e11000 -     0x7fff94e76ff3  com.apple.framework.CoreWiFi (12.0 - 1200.25.1) <8DAD3903-9A77-3E50-99C4-3C5708FB25B1> /System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
    0x7fff94e77000 -     0x7fff94e84fff  com.apple.CrashReporterSupport (10.12 - 816) <BF292E0C-6CDB-3149-8177-4EF5DD72D544> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff94f2a000 -     0x7fff94fa1ff3  com.apple.datadetectorscore (7.0 - 539) <AA02538E-706E-305B-AABA-FA9A6F4C1B8C> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff94fdb000 -     0x7fff9501afff  com.apple.DebugSymbols (137 - 137) <B229F3F7-250B-3151-8048-CEA7BF80FA52> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff9501b000 -     0x7fff9512cfff  com.apple.desktopservices (1.11.1 - 1.11.1) <03518A59-79B1-3B16-B923-52D6EFF04ADB> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff95131000 -     0x7fff95207ff7  com.apple.DiskImagesFramework (444.20.3 - 444.20.3) <D7B9FFE2-65D7-33AE-A50B-6EB46CAC0157> /System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/DiskImages
    0x7fff952ba000 -     0x7fff952bcffb  com.apple.EFILogin (2.0 - 2) <201CA489-CD74-35A2-AC1C-A2458161A7AF> /System/Library/PrivateFrameworks/EFILogin.framework/Versions/A/EFILogin
    0x7fff953f8000 -     0x7fff95829ff7  com.apple.vision.FaceCore (3.3.2 - 3.3.2) <DEB42099-6927-332C-8D3E-D45096318D25> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fff95831000 -     0x7fff9584efff  com.apple.framework.familycontrols (4.1 - 410) <44D53004-A83C-3A78-8565-F707393A5504> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
    0x7fff96b64000 -     0x7fff96b64fff  libmetal_timestamp.dylib (600.0.48.26) <681B9F09-0673-3C38-B636-9D77D338D1AF> /System/Library/PrivateFrameworks/GPUCompiler.framework/libmetal_timestamp.dylib
    0x7fff96b65000 -     0x7fff96b70fff  libGPUSupport.dylib (12.4.5) <58268BB1-97B9-3BB7-A51F-947D18F64822> /System/Library/PrivateFrameworks/GPUSupport.framework/Versions/A/Libraries/libGPUSupport.dylib
    0x7fff96b71000 -     0x7fff96b7cff3  libGPUSupportMercury.dylib (12.4.5) <A08E7321-32C4-3008-97C3-870B6AB1E63D> /System/Library/PrivateFrameworks/GPUSupport.framework/Versions/A/Libraries/libGPUSupportMercury.dylib
    0x7fff96e2e000 -     0x7fff96e4aff7  com.apple.GenerationalStorage (2.0 - 259) <43D40063-BD46-3008-8992-FF092B7C9A58> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff97540000 -     0x7fff975b6ffb  com.apple.Heimdal (4.0 - 2.0) <418DD668-7288-3D33-BAFE-959DB96D0351> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff97bc9000 -     0x7fff97bd0ffb  com.apple.IOAccelerator (288.15 - 288.15) <DE5BC493-2F4E-3388-A887-DA5AD7BAD3F4> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
    0x7fff97bd2000 -     0x7fff97be6ff3  com.apple.IOPresentment (1.0 - 25) <40934217-996A-3DDB-A8C4-484CA0F0222B> /System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPresentment
    0x7fff97be7000 -     0x7fff97c09ff7  com.apple.IconServices (74.1 - 74.1) <F7B83970-4A72-3186-BBB3-90FA86C3E263> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
    0x7fff97ceb000 -     0x7fff97e9ffff  com.apple.LanguageModeling (1.0 - 123) <10152D7F-C7C0-34AA-A295-D712D16C76E6> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
    0x7fff97ecc000 -     0x7fff97ed0ff7  com.apple.LoginUICore (4.0 - 4.0) <DB0F1DBE-12A8-3848-9D8B-97353C5D3C23> /System/Library/PrivateFrameworks/LoginUIKit.framework/Versions/A/Frameworks/LoginUICore.framework/Versions/A/LoginUICore
    0x7fff985c0000 -     0x7fff985f4ff3  com.apple.MediaKit (16 - 840) <2035FF47-C7E6-3F73-A335-AC0BFBB1DB36> /System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
    0x7fff9874b000 -     0x7fff987c3fef  com.apple.MetalPerformanceShaders.MetalPerformanceShaders (1.0 - 1) <EDE6F9AA-B863-3936-BA54-177B769080FD> /System/Library/PrivateFrameworks/MetalPerformanceShaders.framework/Versions/A/MetalPerformanceShaders
    0x7fff98945000 -     0x7fff9896dfff  com.apple.MultitouchSupport.framework (368.4 - 368.4) <18778258-70B1-31BF-845D-1FACBF280108> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff98a1a000 -     0x7fff98a24fff  com.apple.NetAuth (6.0 - 6.0) <D57D5888-0290-3295-A1C4-D673D4DCB497> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff99200000 -     0x7fff99241ff7  com.apple.PerformanceAnalysis (1.145 - 145) <73A73364-EFB6-3D0A-A7EA-7F924359B3C9> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff998a7000 -     0x7fff998d2ffb  com.apple.ProtectedCloudStorage (1.0 - 1) <614C38AC-9D97-30D8-A196-02688634B584> /System/Library/PrivateFrameworks/ProtectedCloudStorage.framework/Versions/A/ProtectedCloudStorage
    0x7fff998d3000 -     0x7fff998edfff  com.apple.ProtocolBuffer (1 - 249) <D8B7694B-B598-3728-8583-9C4CC0F05B64> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
    0x7fff99907000 -     0x7fff9992aff3  com.apple.RemoteViewServices (2.0 - 124) <280DB828-4613-3DF8-ACBA-C91989B64347> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff9a55d000 -     0x7fff9a560fff  com.apple.SecCodeWrapper (4.0 - 307.20.1) <2BBC8E7C-7B28-39D2-8273-2BA5ED7DAC45> /System/Library/PrivateFrameworks/SecCodeWrapper.framework/Versions/A/SecCodeWrapper
    0x7fff9a5ee000 -     0x7fff9a66afff  com.apple.Sharing (671.15 - 671.15) <37C29D52-CA6E-3E30-9CCF-F7B4A8DE6B9B> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
    0x7fff9a68b000 -     0x7fff9a8ecfff  com.apple.SkyLight (1.600.0 - 108.11) <720141AF-56A6-35C8-B05E-5BF6BA539B53> /System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight
    0x7fff9aac6000 -     0x7fff9aad2fff  com.apple.SpeechRecognitionCore (3.0.15 - 3.0.15) <BE386037-4B61-341F-80E2-5D8B5B50C8BC> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
    0x7fff9b1b6000 -     0x7fff9b222ff3  com.apple.Symbolication (61080.2) <8AB6B520-E8DE-392F-8B86-52098D2A2BA2> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff9b40b000 -     0x7fff9b437ff3  com.apple.framework.SystemAdministration (1.0 - 1.0) <335EB091-8DF2-3311-BF41-2A9C17ECAE66> /System/Library/PrivateFrameworks/SystemAdministration.framework/Versions/A/SystemAdministration
    0x7fff9b619000 -     0x7fff9b61fff7  com.apple.TCC (1.0 - 1) <787E8FD8-21A7-39E6-87D4-6AD09156C5A0> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff9b6ab000 -     0x7fff9b86cff3  com.apple.TextureIO (1.35 - 1.35) <63D75E50-F3C2-3E8E-A49B-F53531C24C54> /System/Library/PrivateFrameworks/TextureIO.framework/Versions/A/TextureIO
    0x7fff9b8e0000 -     0x7fff9b8e1fff  com.apple.TrustEvaluationAgent (2.0 - 28) <6793B664-C4FC-3CD4-B0E7-25B9933391AC> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
    0x7fff9b8e2000 -     0x7fff9ba71ffb  com.apple.UIFoundation (1.0 - 489) <0CD14719-FC52-3AC5-87EF-775437927990> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
    0x7fff9ca70000 -     0x7fff9ca72ffb  com.apple.loginsupport (1.0 - 1) <03B57D6F-C210-32BC-B384-5B0E95660283> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
    0x7fff9cac7000 -     0x7fff9cae2ff7  libCRFSuite.dylib (34) <BACC371B-6153-36B5-BC54-3BCF26FBB221> /usr/lib/libCRFSuite.dylib
    0x7fff9cae3000 -     0x7fff9caeefff  libChineseTokenizer.dylib (21) <09E74E18-ADB2-30D2-A858-13691CB1186C> /usr/lib/libChineseTokenizer.dylib
    0x7fff9caef000 -     0x7fff9cb7fff7  libCoreStorage.dylib (540) <A1E0A6CD-EB83-3564-A905-19DBCC3EC70E> /usr/lib/libCoreStorage.dylib
    0x7fff9cb80000 -     0x7fff9cb81ff3  libDiagnosticMessagesClient.dylib (102) <422911A4-E273-3E88-BFC4-DF6470E48242> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff9cb82000 -     0x7fff9cd95fff  libFosl_dynamic.dylib (16.37) <D5551823-1E3D-3BDE-968C-BF022EE4958D> /usr/lib/libFosl_dynamic.dylib
    0x7fff9cdb9000 -     0x7fff9cdb9fff  libOpenScriptingUtil.dylib (172) <D025E180-BB3B-3FFA-98FC-B6835354D723> /usr/lib/libOpenScriptingUtil.dylib
    0x7fff9cdba000 -     0x7fff9cdbdffb  libScreenReader.dylib (477.10.20) <B48924E9-5301-3141-9D62-ADA2852D5BAA> /usr/lib/libScreenReader.dylib
    0x7fff9cdbe000 -     0x7fff9cdbfff3  libSystem.B.dylib (1238) <CFC3669C-FB44-3A51-8815-1E84A168F3C5> /usr/lib/libSystem.B.dylib
    0x7fff9ce2b000 -     0x7fff9ce56ffb  libarchive.2.dylib (41.20.1) <FC116AC3-EB4A-3252-821C-4E1703879C82> /usr/lib/libarchive.2.dylib
    0x7fff9ce57000 -     0x7fff9cf31fe7  libate.dylib (1.12.12) <1371D20C-3A80-37A5-AB94-09C4C4F67B01> /usr/lib/libate.dylib
    0x7fff9cf35000 -     0x7fff9cf35ff3  libauto.dylib (187) <5BBF6A00-CC76-389D-84E7-CA88EDADE683> /usr/lib/libauto.dylib
    0x7fff9cf36000 -     0x7fff9cf46ff3  libbsm.0.dylib (34) <20084796-B04D-3B35-A003-EA11459557A9> /usr/lib/libbsm.0.dylib
    0x7fff9cf47000 -     0x7fff9cf55ff7  libbz2.1.0.dylib (38) <6FD3B63F-0F86-3A25-BD5B-E243F58792C9> /usr/lib/libbz2.1.0.dylib
    0x7fff9cf56000 -     0x7fff9cfacff7  libc++.1.dylib (307.4) <BEE86868-F831-384C-919E-2B286ACFE87C> /usr/lib/libc++.1.dylib
    0x7fff9cfad000 -     0x7fff9cfd7fff  libc++abi.dylib (307.2) <1CEF8ABB-7E6D-3C2F-8E0A-E7884478DD23> /usr/lib/libc++abi.dylib
    0x7fff9cfd8000 -     0x7fff9cfe8ffb  libcmph.dylib (6) <2B5D405E-2D0B-3320-ABD6-622934C86ABE> /usr/lib/libcmph.dylib
    0x7fff9cfe9000 -     0x7fff9cffeffb  libcompression.dylib (34) <AEF908E6-C0FE-3884-BD45-FB37A035545D> /usr/lib/libcompression.dylib
    0x7fff9cfff000 -     0x7fff9cfffff7  libcoretls.dylib (121.1.1) <F3BAB54C-DA82-37C3-A218-46FEB179D555> /usr/lib/libcoretls.dylib
    0x7fff9d000000 -     0x7fff9d001ffb  libcoretls_cfhelpers.dylib (121.1.1) <D12709F3-BBE3-3CF7-9070-C2A0803F5526> /usr/lib/libcoretls_cfhelpers.dylib
    0x7fff9d0bb000 -     0x7fff9d19fff3  libcrypto.0.9.8.dylib (64) <4CB423CE-0B86-334A-9335-FEE75198024F> /usr/lib/libcrypto.0.9.8.dylib
    0x7fff9d331000 -     0x7fff9d33cfff  libcsfde.dylib (540) <F4208351-A781-35D5-B230-101CBA0F58E7> /usr/lib/libcsfde.dylib
    0x7fff9d33d000 -     0x7fff9d390ff7  libcups.2.dylib (450) <04CA1F55-4B70-3D65-B4B1-62F6C271A9EF> /usr/lib/libcups.2.dylib
    0x7fff9d391000 -     0x7fff9d3e0ff7  libcurl.4.dylib (95) <7FFE0024-36CD-3040-923F-1DE911FE5459> /usr/lib/libcurl.4.dylib
    0x7fff9d40a000 -     0x7fff9d40afff  libenergytrace.dylib (15) <A1B040A2-7977-3097-9ADF-34FF181EB970> /usr/lib/libenergytrace.dylib
    0x7fff9d41a000 -     0x7fff9d41fff7  libheimdal-asn1.dylib (498.20.2) <C9B5464F-4A2E-3E3F-B514-B0911B5CB0DA> /usr/lib/libheimdal-asn1.dylib
    0x7fff9d420000 -     0x7fff9d512ff7  libiconv.2.dylib (50) <42125B35-81D7-3FC4-9475-A26DBE10884D> /usr/lib/libiconv.2.dylib
    0x7fff9d513000 -     0x7fff9d738fff  libicucore.A.dylib (57132.0.1) <C8176937-9271-3F0E-829D-F3BBB9DD44B5> /usr/lib/libicucore.A.dylib
    0x7fff9d73e000 -     0x7fff9d73ffff  liblangid.dylib (126) <3F4530C9-8BE1-3AA7-9A82-98694D240866> /usr/lib/liblangid.dylib
    0x7fff9d740000 -     0x7fff9d759ffb  liblzma.5.dylib (10) <44BD0279-99DD-36B5-8A6E-C11432E2098D> /usr/lib/liblzma.5.dylib
    0x7fff9d75a000 -     0x7fff9d770ff7  libmarisa.dylib (5) <2183D484-032D-3DE5-8984-3A14006E034E> /usr/lib/libmarisa.dylib
    0x7fff9d771000 -     0x7fff9da1bfff  libmecabra.dylib (744.2.2) <C6C3EA2C-1DC7-3DCB-8A20-C645E38524AB> /usr/lib/libmecabra.dylib
    0x7fff9da4e000 -     0x7fff9dac7ff3  libnetwork.dylib (856.20.4) <5012EFF3-8FF4-317D-B328-AB21E3B5CA8C> /usr/lib/libnetwork.dylib
    0x7fff9dac8000 -     0x7fff9de9d127  libobjc.A.dylib (706) <47104A1B-13E8-369F-BC36-27FF465809FD> /usr/lib/libobjc.A.dylib
    0x7fff9de9e000 -     0x7fff9de9fff7  libodfde.dylib (23) <4DFCC459-2C07-38C6-871F-94DA3677F1EA> /usr/lib/libodfde.dylib
    0x7fff9dea0000 -     0x7fff9dea4fff  libpam.2.dylib (21) <352F8FF6-2248-3594-B357-8D031DEFB06C> /usr/lib/libpam.2.dylib
    0x7fff9dea5000 -     0x7fff9ded5ff7  libpcap.A.dylib (67) <450DB888-2C0C-3085-A5F1-69324DFE902C> /usr/lib/libpcap.A.dylib
    0x7fff9def3000 -     0x7fff9df0fffb  libresolv.9.dylib (64) <A244AE4C-00B0-396C-98FF-97FE4DB3DA30> /usr/lib/libresolv.9.dylib
    0x7fff9df4a000 -     0x7fff9df5cffb  libsasl2.2.dylib (209) <5A177BA8-362D-32DA-8D14-69AB191648B3> /usr/lib/libsasl2.2.dylib
    0x7fff9df5f000 -     0x7fff9e0a0ffb  libsqlite3.dylib (252) <A531C105-64D7-37C0-B999-9320047B71C5> /usr/lib/libsqlite3.dylib
    0x7fff9e18e000 -     0x7fff9e191ffb  libutil.dylib (47.20.1) <CB688ED6-D995-34CB-A8EB-C42B20061F58> /usr/lib/libutil.dylib
    0x7fff9e192000 -     0x7fff9e19ffff  libxar.1.dylib (354) <AAFCF321-8100-3622-880B-9661DCA35D69> /usr/lib/libxar.1.dylib
    0x7fff9e1a3000 -     0x7fff9e292ffb  libxml2.2.dylib (30.11) <26676155-64CE-323F-B73C-AD77AF5982E8> /usr/lib/libxml2.2.dylib
    0x7fff9e293000 -     0x7fff9e2bcfff  libxslt.1.dylib (15.8) <FFF5DD45-F544-34B2-BE3C-DB877DC60081> /usr/lib/libxslt.1.dylib
    0x7fff9e2bd000 -     0x7fff9e2ceff3  libz.1.dylib (67) <46E3FFA2-4328-327A-8D34-A03E20BFFB8E> /usr/lib/libz.1.dylib
    0x7fff9e2dd000 -     0x7fff9e2e1ff7  libcache.dylib (79) <84E55656-FDA9-3B29-9E4F-BE31B2C0AA3C> /usr/lib/system/libcache.dylib
    0x7fff9e2e2000 -     0x7fff9e2ecfff  libcommonCrypto.dylib (60092.20.1) <31040F10-5E57-3B9C-8D5B-33AD87D1BEE8> /usr/lib/system/libcommonCrypto.dylib
    0x7fff9e2ed000 -     0x7fff9e2f4fff  libcompiler_rt.dylib (62) <486BDE52-81B4-3446-BD72-23977CAE556F> /usr/lib/system/libcompiler_rt.dylib
    0x7fff9e2f5000 -     0x7fff9e2fdfff  libcopyfile.dylib (138) <0DA49B77-56EC-362D-98FF-FA78CFD986D6> /usr/lib/system/libcopyfile.dylib
    0x7fff9e2fe000 -     0x7fff9e380fdb  libcorecrypto.dylib (442.20.2) <2684CC01-087E-33E2-8219-AAA3BBD9BFD7> /usr/lib/system/libcorecrypto.dylib
    0x7fff9e381000 -     0x7fff9e3b3fff  libdispatch.dylib (703.20.1) <877B505D-826C-3246-84F7-0F850636039E> /usr/lib/system/libdispatch.dylib
    0x7fff9e3b4000 -     0x7fff9e3b9ff3  libdyld.dylib (421.2) <7BFA3476-6210-3BCB-8CE8-9B952F87BD84> /usr/lib/system/libdyld.dylib
    0x7fff9e3ba000 -     0x7fff9e3baffb  libkeymgr.dylib (28) <09CD7CA6-46D2-3A9F-B9F1-7C4CA5CA0D68> /usr/lib/system/libkeymgr.dylib
    0x7fff9e3bb000 -     0x7fff9e3c7ffb  libkxld.dylib (3789.21.3) <F12B5274-44AD-3268-A793-31EF351A4BD9> /usr/lib/system/libkxld.dylib
    0x7fff9e3c8000 -     0x7fff9e3c8fff  liblaunch.dylib (972.20.3) <7AB2E2EA-8B47-3420-87CE-5EE18A4EEE49> /usr/lib/system/liblaunch.dylib
    0x7fff9e3c9000 -     0x7fff9e3cefff  libmacho.dylib (894) <1EAE5ADD-490C-3B1F-9F97-447BA8E0E90F> /usr/lib/system/libmacho.dylib
    0x7fff9e3cf000 -     0x7fff9e3d1ff3  libquarantine.dylib (85) <F3E47D7C-8776-327C-9426-DD7DEB30DBDD> /usr/lib/system/libquarantine.dylib
    0x7fff9e3d2000 -     0x7fff9e3d3ffb  libremovefile.dylib (45) <C4FC07FF-ED86-382E-B06F-33C34718080C> /usr/lib/system/libremovefile.dylib
    0x7fff9e3d4000 -     0x7fff9e3ecff7  libsystem_asl.dylib (349.1.1) <F0987490-8427-367F-B302-A05A7D61FEBF> /usr/lib/system/libsystem_asl.dylib
    0x7fff9e3ed000 -     0x7fff9e3edff7  libsystem_blocks.dylib (67) <B8C3701D-5A91-3D35-999D-2DC8D5393525> /usr/lib/system/libsystem_blocks.dylib
    0x7fff9e3ee000 -     0x7fff9e47bfef  libsystem_c.dylib (1158.20.4) <5F9531F5-EDA3-3D25-A827-3E0FD6B392BA> /usr/lib/system/libsystem_c.dylib
    0x7fff9e47c000 -     0x7fff9e47fffb  libsystem_configuration.dylib (888.20.5) <CDC55FCB-C1FC-350D-A919-5DBCFC835B63> /usr/lib/system/libsystem_configuration.dylib
    0x7fff9e480000 -     0x7fff9e483fff  libsystem_coreservices.dylib (41.2) <5DE691C6-7EE6-3210-895D-9EA3ECBC09B4> /usr/lib/system/libsystem_coreservices.dylib
    0x7fff9e484000 -     0x7fff9e49cffb  libsystem_coretls.dylib (121.1.1) <8F7E9B12-400D-3276-A9C5-4546B0258554> /usr/lib/system/libsystem_coretls.dylib
    0x7fff9e49d000 -     0x7fff9e4a3fff  libsystem_dnssd.dylib (765.20.4) <28E52C39-DF10-340F-A3EC-C0119AF6361F> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff9e4a4000 -     0x7fff9e4cdfff  libsystem_info.dylib (503) <C686B834-5E7D-382C-AF6E-44AB78EE83E2> /usr/lib/system/libsystem_info.dylib
    0x7fff9e4ce000 -     0x7fff9e4f0ff7  libsystem_kernel.dylib (3789.21.3) <EC53F92A-0DFA-3027-A220-414A01F17B2E> /usr/lib/system/libsystem_kernel.dylib
    0x7fff9e4f1000 -     0x7fff9e538fe7  libsystem_m.dylib (3121.4) <7F86C291-B105-31C1-9923-90EBAB22B73F> /usr/lib/system/libsystem_m.dylib
    0x7fff9e539000 -     0x7fff9e557ff7  libsystem_malloc.dylib (116) <F9840080-4C2C-3F3B-8087-7C738F12A1C7> /usr/lib/system/libsystem_malloc.dylib
    0x7fff9e558000 -     0x7fff9e5afff3  libsystem_network.dylib (856.20.4) <2BAFB24F-999C-3148-BDD8-F28E05F716F7> /usr/lib/system/libsystem_network.dylib
    0x7fff9e5b0000 -     0x7fff9e5b9ff3  libsystem_networkextension.dylib (563.20.3) <971DD3AD-D17A-32FF-95DE-0A5A979E68AE> /usr/lib/system/libsystem_networkextension.dylib
    0x7fff9e5ba000 -     0x7fff9e5c3ff3  libsystem_notify.dylib (165.20.1) <EAD023A2-AD3F-31C8-9489-274B9A42DA61> /usr/lib/system/libsystem_notify.dylib
    0x7fff9e5c4000 -     0x7fff9e5ccfe7  libsystem_platform.dylib (126.1.2) <2F2D6A81-C36C-353D-B27B-A6643A32375E> /usr/lib/system/libsystem_platform.dylib
    0x7fff9e5cd000 -     0x7fff9e5d7ff7  libsystem_pthread.dylib (218.20.1) <46375095-4731-3034-9D87-396DE95FC697> /usr/lib/system/libsystem_pthread.dylib
    0x7fff9e5d8000 -     0x7fff9e5dbff7  libsystem_sandbox.dylib (592.21.2) <2D42A2BF-A7AF-352A-A821-D8F6E85A63AC> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff9e5dc000 -     0x7fff9e5ddfff  libsystem_secinit.dylib (24) <A54B8FEF-E792-3C54-8E0B-E80A376662F2> /usr/lib/system/libsystem_secinit.dylib
    0x7fff9e5de000 -     0x7fff9e5e5fff  libsystem_symptoms.dylib (532.1.1) <8FB7CA37-79EF-3651-B5B9-B5E1E0947067> /usr/lib/system/libsystem_symptoms.dylib
    0x7fff9e5e6000 -     0x7fff9e606ff7  libsystem_trace.dylib (518.20.8) <C029B910-A65F-35F6-B194-B933B454EAB4> /usr/lib/system/libsystem_trace.dylib
    0x7fff9e607000 -     0x7fff9e60cffb  libunwind.dylib (35.3) <9F7C2AD8-A9A7-3DE4-828D-B0F0F166AAA0> /usr/lib/system/libunwind.dylib
    0x7fff9e60d000 -     0x7fff9e636ff7  libxpc.dylib (972.20.3) <85EB25FD-218F-38EE-9E69-391CC8EBE6C5> /usr/lib/system/libxpc.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 50789
    thread_create: 1
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=363.9M resident=0K(0%) swapped_out_or_unallocated=363.9M(100%)
Writable regions: Total=147.3M written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=147.3M(100%)
 
                                VIRTUAL   REGION 
REGION TYPE                        SIZE    COUNT (non-coalesced) 
===========                     =======  ======= 
Accelerate framework               128K        2 
Activity Tracing                   256K        2 
CG backing stores                  248K        3 
CG image                             8K        3 
CoreUI image file                  156K        4 
Kernel Alloc Once                    8K        2 
MALLOC                           114.9M       35 
MALLOC guard page                   32K        7 
OpenGL GLSL                        256K        4 
STACK GUARD                       56.0M        8 
Stack                             11.0M        8 
VM_ALLOCATE                       3892K       20 
__DATA                            24.0M      316 
__GLSLBUILTINS                    2588K        2 
__IMAGE                            528K        2 
__LINKEDIT                       140.0M       67 
__TEXT                           223.8M      292 
__UNICODE                          556K        2 
mapped file                       42.5M        7 
shared memory                     16.4M       15 
===========                     =======  ======= 
TOTAL                            637.2M      781 

Model: MacBookPro8,2, BootROM MBP81.0047.B2C, 4 processors, Intel Core i7, 2 GHz, 16 GB, SMC 1.69f4
Graphics: Intel HD Graphics 3000, Intel HD Graphics 3000, Built-In
Graphics: AMD Radeon HD 6490M, AMD Radeon HD 6490M, PCIe, 256 MB
Memory Module: BANK 0/DIMM0, 8 GB, DDR3, 1333 MHz, 0x029E, 0x434D5341384758334D314131333333433920
Memory Module: BANK 1/DIMM0, 8 GB, DDR3, 1333 MHz, 0x029E, 0x434D5341384758334D314131333333433920
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0xD6), Broadcom BCM43xx 1.0 (5.106.98.100.24)
Bluetooth: Version 5.0.1f7, 3 services, 17 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en1
Serial ATA Device: TOSHIBA MK5065GSXF, 500,11 GB
Serial ATA Device: MATSHITADVD-R   UJ-8A8
USB Device: USB 2.0 Bus
USB Device: FaceTime HD Camera (Built-in)
USB Device: Hub
USB Device: Apple Internal Keyboard / Trackpad
USB Device: BRCM2070 Hub
USB Device: Bluetooth USB Host Controller
USB Device: USB 2.0 Bus
USB Device: Hub
USB Device: USB Receiver
USB Device: IR Receiver
Thunderbolt Bus: MacBook Pro, Apple Inc., 22.1

Steps to Reproduce:
1. Start up
2. Have it crash.

Actual Results:  
It crashes

Expected Results:
It shouldn't crash


Reproducible: Sometimes

User Profile Reset: No

Additional Info:
After a couple of times having it crash, it seems to have stopped crashing. I can now open documents. I hope the crash reports leaves enough of a trail to stop this from happening.

It seems LibreOffice keeps my GPU pegged to discrete, which sucks, but might be an unrelated issue. Why does an office suite need my heavy, energy-hungry GPU?


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/54.0.2840.71 Safari/537.36
Comment 1 Alex Thurgood 2016-11-04 11:50:23 UTC
I am of a mind to flag this as DUPLICATE of bug 100994
Comment 2 Alex Thurgood 2016-11-04 11:52:30 UTC
Either it is a dup of that bug, which was seemingly resolved for most people when Apple updated OSX to 10.12.1, or in the alternative, the problem no longer exists for you as you indicate that LO no longer crashes, so this would be WFM.

*** This bug has been marked as a duplicate of bug 100994 ***
Comment 3 Alex Thurgood 2016-11-04 11:55:34 UTC
@Nicolas : if you want to open a new bug report requesting that LO not require the discrete graphics chip (request for enhancement), be my guest - someone might hopefully take an interest one day.
Comment 4 nicolas 2016-11-04 20:10:02 UTC
Unfortunately, it happened again today. So this might not be the same thing. Note that I _am_ running OSX 10.12.1 and LO 5.2.3 (release). I'll attach another crash report.
Comment 5 nicolas 2016-11-04 20:11:06 UTC
Created attachment 128500 [details]
Second crash, macOS report
Comment 6 nicolas 2016-11-04 20:18:08 UTC
Funny observation, when I start "soffice" from the command-line, it starts up normally. Perhaps that's what I did earlier when I sad it started to work. Starting it from the Dock or Finder makes it crash reliably.

This works:

$ /Applications/LibreOffice.app/Contents/MacOS/soffice
Comment 7 nicolas 2016-11-04 20:20:28 UTC
Regrettably, starting it via Instruments (from xcode) also doesn't crash.
Comment 8 nicolas 2016-11-04 22:18:05 UTC
My internet is too slow to download the gigantic LO repo so I loaded up LO in a debugger and disassembled Application::GetSolarMutex(), the function in which the sefault (NULL pointer) dereference happened:

(lldb) disas
libvcllo.dylib`Application::GetSolarMutex:
->  0x102a823c0 <+0>:  pushq  %rbp
    0x102a823c1 <+1>:  movq   %rsp, %rbp
    0x102a823c4 <+4>:  callq  0x102a85050               ; ImplGetSVData()
    0x102a823c9 <+9>:  movq   0x8(%rax), %rdi
    0x102a823cd <+13>: movq   (%rdi), %rax              ; THIS IS THE OFFENDING LINE
    0x102a823d0 <+16>: popq   %rbp
    0x102a823d1 <+17>: jmpq   *0xa8(%rax)
    0x102a823d7 <+23>: nopw   (%rax,%rax)

So, we expect to see a NULL pointer in %rdi, because it's trying to dereference that and placing it into %rax. Let's check the register state.

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x000000010b3989d0  rbx: 0x000060800005ec00  rcx: 0x0000608000115c30  rdx: 0x0000600000248640
  rdi: 0x0000000000000000  rsi: 0x000000010b2a7d70  rbp: 0x00007fff5751a980  rsp: 0x00007fff5751a980
   r8: 0x0000000000000000   r9: 0x0000000000000000  r10: 0x001faa01001faa80  r11: 0x000000010b1f2f50
  r12: 0x0000000000000000  r13: 0x0000608000071380  r14: 0x0000600000248640  r15: 0x0000000000000000
  rip: 0x000000010b1203cd  rfl: 0x0000000000010202  cr2: 0x0000000000000000

Indeed. %rdi is 0. Normally in such a short function I'd assume %rdi is the first argument, as detailed in the calling convention (https://en.wikipedia.org/wiki/X86_calling_conventions#System_V_AMD64_ABI). However, we can see that %rdi is actually *(%rax + 8). And %rax is the return value of the call to ImplGetSVData(). We know from the thread state that %rax contains 0x000000010b3989d0, which isn't very useful right now since we don't have a core dump. How is ImplGetSVData() implemented?

EDIT: Got the sources.

comphelper::SolarMutex& Application::GetSolarMutex()
{
    ImplSVData* pSVData = ImplGetSVData();
    return *(pSVData->mpDefInst->GetYieldMutex());
}

So mpDefInst is somehow NULL. Why?

(lldb) disas -n ImplGetSVData
libvcllo.dylib`ImplGetSVData:
    0x102a85050 <+0>:   pushq  %rbp
    0x102a85051 <+1>:   movq   %rsp, %rbp
    0x102a85054 <+4>:   pushq  %r14
    0x102a85056 <+6>:   pushq  %rbx
    0x102a85057 <+7>:   movq   0x27596a(%rip), %rbx      ; (anonymous namespace)::rtl_Instance<ImplSVData, rtl::Static<ImplSVData, (anonymous namespace)::private_aImplSVData>::StaticInstance, osl::Guard<osl::Mutex>, osl::GetGlobalMutex, int, int>::m_pInstance
    0x102a8505e <+14>:  testq  %rbx, %rbx
    0x102a85061 <+17>:  jne    0x102a850f0               ; <+160>
    0x102a85067 <+23>:  callq  0x102b93dfa               ; symbol stub for: osl_getGlobalMutex
    0x102a8506c <+28>:  movq   %rax, %r14
    0x102a8506f <+31>:  movq   (%r14), %rdi
    0x102a85072 <+34>:  callq  0x102b93d58               ; symbol stub for: osl_acquireMutex
    0x102a85077 <+39>:  movq   0x27594a(%rip), %rbx      ; (anonymous namespace)::rtl_Instance<ImplSVData, rtl::Static<ImplSVData, (anonymous namespace)::private_aImplSVData>::StaticInstance, osl::Guard<osl::Mutex>, osl::GetGlobalMutex, int, int>::m_pInstance
    0x102a8507e <+46>:  testq  %rbx, %rbx
    0x102a85081 <+49>:  jne    0x102a850e8               ; <+152>
    0x102a85083 <+51>:  movb   0x275ca7(%rip), %al       ; guard variable for rtl::Static<ImplSVData, (anonymous namespace)::private_aImplSVData>::StaticInstance::operator()()::instance
    0x102a85089 <+57>:  testb  %al, %al
    0x102a8508b <+59>:  jne    0x102a850da               ; <+138>
    0x102a8508d <+61>:  leaq   0x27593c(%rip), %rbx      ; rtl::Static<ImplSVData, (anonymous namespace)::private_aImplSVData>::StaticInstance::operator()()::instance
    0x102a85094 <+68>:  movl   $0x360, %esi              ; imm = 0x360
    0x102a85099 <+73>:  movq   %rbx, %rdi
    0x102a8509c <+76>:  callq  0x102b948f8               ; symbol stub for: __bzero
    0x102a850a1 <+81>:  movw   $0x100, 0x275bee(%rip)    ; rtl::Static<ImplSVData, (anonymous namespace)::private_aImplSVData>::StaticInstance::operator()()::instance + 708, imm = 0x100
    0x102a850aa <+90>:  movl   $0xffffffff, 0x275c0c(%rip) ; rtl::Static<ImplSVData, (anonymous namespace)::private_aImplSVData>::StaticInstance::operator()()::instance + 748, imm = 0xFFFFFFFF
    0x102a850b4 <+100>: movw   $0x4000, 0x275c07(%rip)   ; rtl::Static<ImplSVData, (anonymous namespace)::private_aImplSVData>::StaticInstance::operator()()::instance + 752, imm = 0x4000
    0x102a850bd <+109>: leaq   0xeec(%rip), %rdi         ; ImplSVData::~ImplSVData()
    0x102a850c4 <+116>: leaq   -0x2ce0cb(%rip), %rdx
    0x102a850cb <+123>: movq   %rbx, %rsi
    0x102a850ce <+126>: callq  0x102b948fe               ; symbol stub for: __cxa_atexit
    0x102a850d3 <+131>: movb   $0x1, 0x275c56(%rip)      ; rtl::Static<ImplSVData, (anonymous namespace)::private_aImplSVData>::StaticInstance::operator()()::instance + 863
    0x102a850da <+138>: leaq   0x2758ef(%rip), %rbx      ; rtl::Static<ImplSVData, (anonymous namespace)::private_aImplSVData>::StaticInstance::operator()()::instance
    0x102a850e1 <+145>: movq   %rbx, 0x2758e0(%rip)      ; (anonymous namespace)::rtl_Instance<ImplSVData, rtl::Static<ImplSVData, (anonymous namespace)::private_aImplSVData>::StaticInstance, osl::Guard<osl::Mutex>, osl::GetGlobalMutex, int, int>::m_pInstance
    0x102a850e8 <+152>: movq   (%r14), %rdi
    0x102a850eb <+155>: callq  0x102b93e66               ; symbol stub for: osl_releaseMutex
    0x102a850f0 <+160>: movq   %rbx, %rax
    0x102a850f3 <+163>: popq   %rbx
    0x102a850f4 <+164>: popq   %r14
    0x102a850f6 <+166>: popq   %rbp
    0x102a850f7 <+167>: retq
    0x102a850f8 <+168>: movq   %rax, %rdi
    0x102a850fb <+171>: callq  0x1027bc6f0               ; __clang_call_terminate

Well, that's annoying... The code?

ImplSVData* ImplGetSVData() {
    return &private_aImplSVData::get();
}

Heavily inlined. And private_aImplSVData is?

namespace
{
    struct private_aImplSVData :
        public rtl::Static<ImplSVData, private_aImplSVData> {};
}

What the...? I have no idea what this is. A class inheriting from a class that takes two template parameters, including itself (Curiously Recurring Template Pattern?). Sure. The strange thing is that private_aImplSVData is mentioned only on the 3 lines I've already printed out. It's empty. I suppose ImplSVData is the true meat here, then. It's defined as:

struct ImplSVData
{
    SalData*                mpSalData = nullptr;
    SalInstance*            mpDefInst = nullptr;            // Default SalInstance
    Application*            mpApp = nullptr;                // pApp
    VclPtr<WorkWindow>      mpDefaultWin;                   // Default-Window
    bool                    mbDeInit = false;               // Is VCL deinitializing
    // Tons of stuff more.
}

Right, so the second pointer plainly never gets initialized.

Anyway, back to this rtl::Static thingy, which I assume is some sort of fancy wrapper to make a singleton out of everything, the Java programmers' dream. It's a doozy, we find it in core/include/rtl/instance.hxx:

/** Helper base class for a late-initialized (default-constructed)
    static variable, implementing the double-checked locking pattern correctly.

    @derive
    Derive from this class (common practice), e.g.
    <pre>
    struct MyStatic : public rtl::Static<MyType, MyStatic> {};
    ...
    MyType & rStatic = MyStatic::get();
    ...
    </pre>

    @tparam T
              variable's type
    @tparam Unique
              Implementation trick to make the inner static holder unique,
              using the outer class
              (the one that derives from this base class)
*/
#if HAVE_THREADSAFE_STATICS
template<typename T, typename Unique>
class Static {
public:
    /** Gets the static.  Mutual exclusion is implied by a functional
        -fthreadsafe-statics

        @return
                static variable
    */
    static T & get() {
        static T instance;
        return instance;
    }
};
#else
template<typename T, typename Unique>
class Static {
public:
    /** Gets the static.  Mutual exclusion is performed using the
        osl global mutex.

        @return
                static variable
    */
    static T & get() {
        return *rtl_Instance<
            T, StaticInstance,
            ::osl::MutexGuard, ::osl::GetGlobalMutex >::create(
                StaticInstance(), ::osl::GetGlobalMutex() );
    }
private:
    struct StaticInstance {
        T * operator () () {
            static T instance;
            return &instance;
        }
    };
};
#endif

One very interesting thing to note here is that the disassembly of ImplGetSVData I posted earlier contained calls to ::osl::GetGlobalMutex. Which means that for some reason on macOS Sierra, something thinks we don't HAVE_THREADSAFE_STATICS. I'm pretty sure we do on macOS Sierra, with any recent GCC or Clang for sure, and I bet this one was built with xcode (thus Clang).

This (http://stackoverflow.com/a/35080639) SO answer implies that -f(no-)threadsafe-statics flag is GCC specific. Indeed I can't find it in my clang(1) man page. So that might be another "bug", basically assuming that the compiler is GCC.

I won't even paste the code of rtl_Instance here (it's in the same file), but suffice to say that a lot of text is spent on indicating how/why it can be optimized on which compilers. Just avoiding this shenanigans would thus be a good optimization, it seems.

Anyhow. It's pretty clear that our ImplSVData is just not being initialized, and it's being called for the first time by GetSolarMutex, which obviously didn't expect an uninitialized ImplSVData back.

The LO codebase is not familiar to me, so I'll leave it to someone with experience to figure out why ImplSVData is not being initialized.

Thanks
Comment 9 nicolas 2016-11-04 22:24:02 UTC
By the way, normally I'd set a watchpoint on the variable I want within a successful run to see how it's supposed to be initialized. Sadly, I'd need to set a watchpoint on this now:

    0x102a850e1 <+145>: movq   %rbx, 0x2758e0(%rip)      ; (anonymous namespace)::rtl_Instance<ImplSVData, rtl::Static<ImplSVData, (anonymous namespace)::private_aImplSVData>::StaticInstance, osl::Guard<osl::Mutex>, osl::GetGlobalMutex, int, int>::m_pInstance

More anaonymous namespaces than I can count. This is where my knowledge of LLDB stops. If anyone has an idea how to set a watchpoint on that, I'm all ears.
Comment 10 nicolas 2016-11-04 23:31:18 UTC
I'm getting more and more the feeling like this is some weird synchronization issue.

GOOD: /Applications/LibreOffice.app/Contents/MacOS/soffice
GOOD: lldb /Applications/LibreOffice.app/Contents/MacOS/soffice
BAD:  Open from dock
BAD:  Open from spotlight

So I couldn't debug it while it was in a bad state, I thought. Then I tried the next best thing: debug it as fast as possible.

  while : ; do if pgrep soffice ; then lldb -p $(pgrep soffice) ; fi ; done

It's crude, but it works. Basically, attach to libreoffice as fast as possible after startup.

I did:

  lldb> b CreateSalInstance

To see whether it was actually being called (that's the thing that creates the object that gets assigned to mpDefInst). See core/vcl/source/app/svmain.cxx:

    // Initialize Sal
    pSVData->mpDefInst = CreateSalInstance();
    if ( !pSVData->mpDefInst )
        return false;

It's also one of only 3 lines that modify it:

  $ ag 'mpDefInst ='
  core/vcl/inc/svdata.hxx:312:    SalInstance*            mpDefInst = nullptr;            // Default SalInstance
  core/vcl/source/app/svmain.cxx:290:    pSVData->mpDefInst = CreateSalInstance();
  core/vcl/source/app/svmain.cxx:587:        pSVData->mpDefInst = nullptr;

Anyway, I ran it and it stopped at CreateSalInstance, indicating it was being called. Continuing the process afterwards made it keep going without a crash. Rats, I seem to have turned a "bad" invocation into a good one by debugging it.

Next time, I tried putting a breakpoint on DeInitVCL, which is where mpDefInst gets reset to NULL. However, after setting the breakpoint, the process crashed with the well known bad access. So not every bad invocation turns good... or was it because I set the breakpoint on a different function? 

  Process 34503 stopped
  * thread #1: tid = 0x60fec, 0x00007fff9e4e041a libsystem_kernel.dylib`mach_msg_trap + 10, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
      frame #0: 0x00007fff9e4e041a libsystem_kernel.dylib`mach_msg_trap + 10
  libsystem_kernel.dylib`mach_msg_trap:
  ->  0x7fff9e4e041a <+10>: retq
      0x7fff9e4e041b <+11>: nop
  
  libsystem_kernel.dylib`mach_msg_overwrite_trap:
      0x7fff9e4e041c <+0>:  movq   %rcx, %r10
      0x7fff9e4e041f <+3>:  movl   $0x1000020, %eax          ; imm = 0x1000020
  
  Executable module set to "/Applications/LibreOffice.app/Contents/MacOS/soffice".
  Architecture set to: x86_64-apple-macosx.
  (lldb) b DeInitVCL
  Breakpoint 1: where = libvcllo.dylib`DeInitVCL(), address = 0x00000001118e8720
  (lldb) run
  There is a running process, detach from it and restart?: [Y/n] n
  (lldb) cont
  Process 34503 resuming
  (lldb) Traceback (most recent call last):
  Process 34503 stopped
  * thread #1: tid = 0x60fec, 0x00000001118e43cd libvcllo.dylib`Application::GetSolarMutex() + 13, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x0)
      frame #0: 0x00000001118e43cd libvcllo.dylib`Application::GetSolarMutex() + 13
  libvcllo.dylib`Application::GetSolarMutex:
  ->  0x1118e43cd <+13>: movq   (%rdi), %rax
      0x1118e43d0 <+16>: popq   %rbp
      0x1118e43d1 <+17>: jmpq   *0xa8(%rax)
      0x1118e43d7 <+23>: nopw   (%rax,%rax)
  (lldb)

Bingo. It's not exactly what I wanted, but at least I can see what's actually filled in in the ImplSVData struct returned by ImplGetSVData() now. Remembering that %rax contains a pointer to the ImplSVData.

  (lldb) memory read --size 8 --format x --count 8 $rax
  0x111b5c9d0: 0x00007fb4d7800000 0x0000000000000000
  0x111b5c9e0: 0x00007fff50d67bd0 0x0000000000000000
  0x111b5c9f0: 0x0000000000000000 0x0000000000000000
  0x111b5ca00: 0x0000000000000000 0x0000000000000000

Taking its data layout by hand again:

  struct ImplSVData
  {
      SalData*                mpSalData = nullptr;
      SalInstance*            mpDefInst = nullptr;            // Default SalInstance
      Application*            mpApp = nullptr;                // pApp
      VclPtr<WorkWindow>      mpDefaultWin;                   // Default-Window
      bool                    mbDeInit = false;               // Is VCL deinitializing
      // Tons of stuff more.
  }

Which basically tells me everything is NULL/false/... except for mpSalData and mpApp. Some digging teaches us that mpSalData and mpApp are always set together, so that makes sense. That's done here:

  Application::Application()
  {
      // useful for themes at least, perhaps extensions too
      OUString aVar("LIBO_VERSION"), aValue(LIBO_VERSION_DOTTED);
      osl_setEnvironment(aVar.pData, aValue.pData);

      ImplGetSVData()->mpApp = this;
      InitSalData();
  }

Apparently, a global variable is set with the object that's being constructed (->mpApp = this). Neat. InitSalData() does something similar, but for ->mpSalData.

At this point I'm pretty sure that the InitVCL() code ran: 

  bool InitVCL()
  {
      if( pExceptionHandler != nullptr )
          return false;
  
      EmbeddedFontsHelper::clearTemporaryFontFiles();
  
      if( !ImplGetSVData()->mpApp )
      {
          pOwnSvApp = new Application();
      }
      InitSalMain();
  
      ImplSVData* pSVData = ImplGetSVData();
  
      // remember Main-Thread-Id
      pSVData->mnMainThreadId = ::osl::Thread::getCurrentIdentifier();
  
      // Initialize Sal
      pSVData->mpDefInst = CreateSalInstance();
      if ( !pSVData->mpDefInst )
          return false;
      // ...

But why is mpDefInst NULL then, in our bad runs? Are two threads racing? One trying to initialize everything (InitVCL) and the other somewhere calling GetSolarMutex()? If that's the case, that should be visible in our other thread stacktraces. It was a good theory, but using "thread backtrace all" tells me that's not the case. Argh.
Comment 11 Alex Thurgood 2016-11-05 11:41:21 UTC
Wow, quite a lot of debugging information there. As I'm not a dev, I'm putting Michael on CC, he might have an idea of what is going on here if there is a scheduler problem somewhere.

@Michael : any idea, perchance ?
Comment 12 Telesto 2016-11-07 10:41:39 UTC
I can confirm the crash. It did happen to me also, but didn't think much about it. I thought I triggered it myself somehow. 

I did catch it in a debug run with LO Version: 5.3.0.0.alpha1+
Build ID: f9f1042773795aa82bc0034122fac8271e3dabc7
CPU Threads: 4; OS Version: Mac OS X 10.12.1; UI Render: default; Layout Engine: old; 
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 13 Telesto 2016-11-07 10:45:06 UTC
Created attachment 128542 [details]
SAL_LOG=+TIMESTAMP+INFO,+WARN
Comment 14 Telesto 2016-11-07 10:46:59 UTC
Created attachment 128543 [details]
MacOS crash report
Comment 15 Michael Meeks 2016-11-07 11:26:50 UTC
Nicolas - wow, great analysis work here; would be good to have a debugging trace with debug information (I guess). You seem to have got a good grasp of how the VCL backend is created - nice code-reading; of course - why this blows up as it tries to take the SolarMutex I have no idea - would be good to poke around at the global ImplSvData instances after the crash (?) ideally with debuginfo for nice type dumping etc. (?)

Telesto - thanks for the trace- - but I believe it is an un-related crash:
> Assertion failed: (*ppThis != nullptr), function rtl_uString_newFromLiteral, file /Users/demo/lode/dev/core/sal/rtl/strtmpl.cxx, line 1429.

Thanks for chasing ! also - if you need interactive help #libreoffice-dev on irc.freenode.net is the best place ... I'm 'mmeeks' there.
Comment 16 Telesto 2016-11-07 12:24:01 UTC
Created attachment 128548 [details]
MacOS crash report

Correct MacOS crash report
Comment 17 Telesto 2016-11-07 18:00:32 UTC
Maybe I'm wrong but is there some relation with bug 93119? It sounds similar to me.
Comment 18 Telesto 2016-11-08 10:02:23 UTC
Created attachment 128561 [details]
SAL_LOG=+TIMESTAMP+INFO+WARN
Comment 19 Telesto 2016-11-08 10:13:41 UTC
This issue is quite easy the reproduce. The only thing needed is high CPU usage when starting LO.
Comment 20 Telesto 2016-11-08 12:29:34 UTC
Created attachment 128565 [details]
LLDB backtrace

Maybe its helpful.
Comment 21 Michael Meeks 2016-11-08 13:00:04 UTC
The trace with symbols is beautiful - thanks Telesto - and the solution (I guess) is fairly trivial:

libvcllo.dylib`SolarMutexGuard::SolarMutexGuard(this=0x00007fff5fbfd670) + 21 at svapp.hxx:1410
    frame #3: 0x0000000107a16577 libvcllo.dylib`::-[VCL_NSApplication screenParametersChanged:](self=0x000000010ffba610, _cmd="screenParametersChanged:", pNotification=0x00000001110008f0) + 55 at vclnsapp.mm:450
    frame #4: 0x00007fff809c259c CoreFoundation`__CFNOTIFICATIONCENTER_IS_CALLING_OUT_TO_AN_OBSERVER__ + 12
    frame #5: 0x00007fff809c249b CoreFoundation`_CFXRegistrationPost + 427
...
...
    frame #22: 0x00007fff7e5f31ad AppKit`NSApplicationMain + 1237
    frame #23: 0x00000001078ca89a libvcllo.dylib`ImplSVMainHook(pnInit=0x00007fff5fbff954) + 522 at salinst.cxx:211

bool ImplSVMainHook( int * pnInit )
{
...
    const char* pArgv[] = { aByteExe.getStr(), nullptr };
**    NSApplicationMain( 1, pArgv );
}

    I guess we are not expecting this to go emitting events - or somesuch.

    frame #24: 0x000000010776c37c libvcllo.dylib`SVMain() + 44 at svmain.cxx:220

int SVMain()
{
    int nRet;
**  if( !Application::IsConsoleOnly() && ImplSVMainHook( &nRet ) )
        return nRet;
    else
        return ImplSVMain();
}

    frame #25: 0x0000000100241606 libsofficeapp.dylib`::soffice_main() + 534 at sofficemain.cxx:165
    frame #26: 0x0000000100000efd soffice`sal_main + 13 at main.c:48

We are called-back by events from main before we have initialized VCL and before we have setup the SolarMutex - which is somewhat silly =) We expect ImplSVMain:

int ImplSVMain()
{
    // The 'real' SVMain()
    ImplSVData* pSVData = ImplGetSVData();

    SAL_WARN_IF( !pSVData->mpApp, "vcl", "no instance of class Application" );

    int nReturn = EXIT_FAILURE;

    bool bInit = isInitVCL() || InitVCL();

To initialize and setup VCL.

So - I guess the question is - why do we have this hook ? (would be good to read the git annotate / logs for the init hook) - and why do we get events during that 'Main' call, and what is the best fix - is it to initialize the solar mutex earlier ? or ... unclear =) Tor may have some quick ideas =)
Comment 22 Alex Thurgood 2016-11-17 16:53:30 UTC
*** Bug 103912 has been marked as a duplicate of this bug. ***
Comment 23 Telesto 2016-11-21 08:34:20 UTC
*** Bug 104069 has been marked as a duplicate of this bug. ***
Comment 24 Telesto 2016-11-21 10:23:35 UTC
I'm far from an expert reading debug information, but I created a list of warning/errors I found in the back trace which I suppose shouldn't be there. 

It's quite possible that some of the things I noticed, don't cause this crash in particular (but there could be a relation with the list of outstanding macOS related issues) 

CoreFoundation`_CFXNotificationPost 
__THE_PROCESS_HAS_FORKED_AND_YOU_CANNOT_USE_THIS_COREFOUNDATION_FUNCTIONALITY___YOU_MUST_EXEC__\
@"*** attempt to post distributed notification '%s' thwarted by sandboxing.%s%s"\

CoreFoundation`CFRunLoopRunSpecific:
__THE_PROCESS_HAS_FORKED_AND_YOU_CANNOT_USE_THIS_COREFOUNDATION_FUNCTIONALITY___YOU_MUST_EXEC__\

AppKit`_DPSNextEvent:
@"Could not alloc empty CGEvent"\
"CGEventRef _DPSCreateCGEventFromCarbonEvent(EventRef)"  @"<Unknown Function>"
"/Library/Caches/com.apple.xbs/Sources/AppKit/AppKit-1504.60/GraphicsContext.subproj/CGDPSReplacement.m" --> @"<Unknown File>"

@"AppKit cannot convert carbon event class '%.4s' to CGEventRef."\
@"AppKit cannot convert carbon mouse event of kind '%ld' to CGEventRef."\
@"AppKit cannot convert carbon mouse events of button '%ld' to CGEventRef."\
@"got unrecognized event, eventClass is %x, eventKind is %d"\
_DPSNextEvent.has_ConvertMatchingCGEvents ->  @"found event in concurrent event queue, looping around to get it"\
CGEventGetIntegerValueField -->  @"Force event behavior:%d"\

AppKit`NS ApplicationMain:
@"NSDelegateClass" --> @"No Info.plist file in application bundle or no NSPrincipalClass in the Info.plist file, exiting"\
@"Initial Storyboard controller is neither a NSWindowController nor a NSViewController: %@, from %@"\
@"Unable to load nib file: %@, exiting"\
Comment 25 Michael Meeks 2016-11-29 17:02:33 UTC
Telesto - the cause is pretty clear; cf. my analysis in #21 - but why this hook exists, and why it goes processing events so early is very unclear.
Comment 26 Tor Lillqvist 2016-11-29 17:41:07 UTC
I have never understood *why* OOo (and what now then is LO) is structured to work on the Mac the way it is. Presumably this was never documented back when it was done. Was it ericb who did this work back in the days? Or Sun people? Did they leave any readable longer documentation or even some a condensed rationale?

My guess is that they wanted the VCL code on Mac, once contortions at start-up have been done, to behave as if it was on an X-style windowing system, and they did some ugly hacks to make it seem so while having to touch as little code elsewhere as possible.

Possibly it would have made more sense to actually make OOo be structured like a canonical Mac app, and instead adapt more code all over the place (vcl, framework, whatever) to work both in that case and in the X and Win32 cases.

Not sure whether the Windows code manages more successfully to merge concepts of two fundamentally different windowing systems?

Or am I confused/misguided, is it in fact so that it is the X code that jumps through hoops to be Windows-like? (And the Mac code too, then.) And the Windows code which is most "native" and has least weird tricks?

I suspect hdu could be the best person to spread some light here, but he is not involved any more, is he?
Comment 27 Tor Lillqvist 2016-11-29 17:48:37 UTC
Useful keyword to google for are: ericb, ooo, aqua, port. (For some reason the OOo project to make it run natively (as opposed to using X11) on Mac OS X was called the "Aqua" port, even if, as far as I understand it, "Aqua" was just the name of the desktop theme of the time, and never has been the name of any API.)
Comment 28 Telesto 2016-11-29 20:39:19 UTC
I’m far of an expert, and I don’t want to intrude. But maybe it’s wise to investigate the cause a bit more deeply, before acting. I should note that:
- I have two macOS 10.12.1 installations: one for testing, one for regular usage. Only the testing system, on which I installed XCode, is badly affected. It seems to be some sort of file corruption, because I have trouble with all versions I tested (4.4/5.0)
- On my regular system I have had some issues with a few daily builds (around 5 November) crashing SIGSEGV 11 on launch, but I haven’t had an issue with LO 5.2.3.3 or more recent daily builds.
- On my regular system I’m able to crash Activity Monitor with SIGSEGV 11 in some circumstances while starting LibreOfficeDev, but I’m not sure whether it’s related.
Comment 29 Telesto 2016-11-29 21:04:24 UTC
Created attachment 129140 [details]
macOS crashreports Activity Monitor
Comment 30 Dominik 2016-12-01 17:26:40 UTC
In my experience LO runs once after installing and then crashes every time afterwards. For a time I also associated this with installing the language pack (PL in my case), but it seems to have no bearing (I was simply installing LO, running it once and then installing the language pack, running it again and crash).

The workaround mentioned by someone on IRC to disable graphics card switching in power saving options works for me.

I'm on MBP 6,2 (dual graphics Intel and Nvidia 330M), macOS Sierra 10.12.1, trying to use LO 5.2.3.3.

I also have a Mac Pro at work which I think had the crashing, too, despite not having dual graphics. I'll try to look into it tomorrow.

Is it time to confirm the bug?
Comment 31 steve -_- 2016-12-01 17:38:09 UTC
@Dominik: Thanks for the additional input. This bug is NEW since it has been confirmed on 2016-11-07. No need to confirm further.
Comment 32 Telesto 2016-12-01 20:41:25 UTC
Using a newly created User Account seems to fix the issue (https://support.apple.com/en-us/HT204443)
Comment 33 Dominik 2016-12-02 23:24:56 UTC
(In reply to Telesto from comment #32)
> Using a newly created User Account seems to fix the issue
> (https://support.apple.com/en-us/HT204443)

Ah, that is interesting. I'll try in a sec.

My Mac Pro runs LO just fine. It doesn't come with switching graphics.
Comment 34 Dominik 2016-12-02 23:30:48 UTC
I just tested with a new user profile on my MBP. LO ran just fine, but it turns out the new account had graphics switching turned off by default. Turning it on, LO started crashing at once.
Comment 35 Telesto 2016-12-06 10:58:09 UTC
(In reply to Dominik from comment #34)
> I just tested with a new user profile on my MBP. LO ran just fine, but it
> turns out the new account had graphics switching turned off by default.
> Turning it on, LO started crashing at once.

Sounds like bug 100994.
Comment 36 Julien Nabet 2016-12-10 12:21:23 UTC
*** Bug 104542 has been marked as a duplicate of this bug. ***
Comment 37 Alex Thurgood 2017-01-02 09:48:50 UTC
*** Bug 105001 has been marked as a duplicate of this bug. ***
Comment 38 Alex Thurgood 2017-01-09 18:22:35 UTC
*** Bug 104542 has been marked as a duplicate of this bug. ***
Comment 39 bikerman123 2017-01-10 03:04:28 UTC
Alex How can this be a duplicate? I can reproduce the problem and the solution every time. I'm running MACOS X 10.12.2 and LibreOffice 5.2.4 (Newly Released).

These are the steps I go through every time and if I bring it up this way it works.


Closing the Terminal.app, under the Utilities folder, will terminate the entire "LIbreOffice" program, but The Terminal Window remains open.

I don't know if I'm explaining this so anyone can understand it, because I'm not (by profession), a programmer. However, I can see somewhere in the compiled version of "soffice" Exec file, the script is telling the Terminal.app to exec first, THEN to execute LIbreOffice.

Here's how I now have to use this application:

1. I execute "soffice" from the MacOS folder in the Contents folder
2. I Wait for the Terminal.app to execute and bring up the Terminal Window
3. I keep the Terminal.app running paying attention to the messages printed in the window.
4. After a short time Maybe 5 second) LibreOffice comes up "Normally"
5. Using the "Quit LIbreOffice" on the menu file, I can see the Terminal.app being told to exit and LibreOffice ends.

If the Terminal.app is not running, LibreOffice will crash every time.
Also, if you try and execute LibreOffice in the Applications Folder, it will crash every time.

ADDITIONAL INFORMATION:

Below is what I saw on the "Terminal" Window as LibreOffice executes from the MAC OS directory using the soffice Exec file.

"Last login: Sat Jan  7 13:12:59 on console

-bash: PATH: command not found

-bash: PATH: command not found

/Applications/LibreOffice.app/Contents/MacOS/soffice ; exit;

Macintosh:~ millersranch$ /Applications/LibreOffice.app/Contents/MacOS/soffice ; exit;"



Below are the results returned and printed to the Terminal window screen after you've pressed "Quit LibreOffice" in the application.


logout

Saving session...

...copying shared history...

...saving history...truncating history files...

...completed.

Deleting expired sessions...none found.


[Process completed]


Please NOTE: After the [Process completed] statement, the Terminal App stays open. You have to close it manually.

This Bug reports something about the "User Profile" and something about a "Switch" being set to "ON". I don't know where this switch is and I have deleted previous User profiles from the LibreOffice/4/user directory. If there is a "Patch" for this, I don't know where to find it. Seeing how this Bug is also happening under MacOS 10.12.2 and continues under LibreOffice 5.2.4.1, tells me this can't be the same problem as reported here. I don't need to change a "Switch" or my "User Profile" to use the application as described above. This problem appears to be a PATH statement problem as indicated by the Terminal Results:

-bash: PATH: command not found

-bash: PATH: command not found

I can use the application this way without changing any of the things mentioned in this Bug report. I don't have any stack trace/backtrace software to print out the errors or how the program is executing. I just know it works every time when I apply the procedure above. I will continue to use it this way, until someone figures out why the "LibreOffice.app doesn't work from the Applications directory.
Comment 40 Telesto 2017-01-10 08:45:58 UTC
The crash seems to occur in three situations:
1. Systems with dual graphics chips and "Automatic graphics switching" enabled
2. A change in the default profile configuration (I suspect non-default bash settings)
3. Restarting a Mac while running LibreOffice and "Reopening windows when logging back in" selected (and the first two situations don’t apply)

I don’t have a dual graphic system. So can't help there. I can confirm however comment 39 is working for point 2. 

Console output when starting:
demos-MacBook-Air:~ demo$ /Applications/LibreOfficeDev2017.app/Contents/MacOS/soffice
warn:sfx.control:528:1:sfx2/source/control/dispatch.cxx:562: Unflushed dispatcher!

Console output when closing
warn:sfx.control:528:1:sfx2/source/control/dispatch.cxx:562: Unflushed dispatcher!
warn:sal.osl.pipe:528:1:sal/osl/unx/pipe.cxx:395: shutdown() failed: Socket is not connected
warn:sal.osl.pipe:528:3:sal/osl/unx/pipe.cxx:436: accept() failed: Software caused connection abort
warn:unotools.config:528:1:unotools/source/config/configmgr.cxx:167: ConfigManager not empty

Version: 5.4.0.0.alpha0+
Build ID: 2d54ffbf18d461c846535d539d704d45aff059b1
CPU Threads: 4; OS Version: Mac OS X 10.12.2; UI Render: default; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 41 Telesto 2017-01-13 08:29:04 UTC
Temporary fix for the user profile related crashes: Disabling JAVA will prevent most/all crashes. LibreOffice -> Preferences -> Advanced -> Deselect "Use a Java runtime environment"
Comment 42 bikerman123 2017-01-13 17:36:48 UTC
Please when you update or add comments to this post, you specify if you're referring to the Windows OS or MACOS. I've tried the suggested fix in Comment #41 on my MacBook Pro and nothing changed.

It would be very helpful to include the steps you took to make this "Temporary Fix" successful.

Example:

1. Start Libreoffice
2. Select Preferences
3. Select Advanced
4. Under Java Options, Uncheck "Use Java Runtime Environment"
5. ....

Here it should be noted whether you need to restart your Computer or just LibreOffice to have these changes take effect.

After this box was unchecked, I closed LO and tried to restart the program without shutting down the Computer. The results were LO still crashed.

I feel these types of comments will help everyone track this problem.
Comment 43 bikerman123 2017-01-16 16:57:37 UTC
Update:

After Deselecting the JAVA Runtime environment, LO did work on the first try after the MAC was restarted. However, further attempts to use the application failed. I've gone back to starting/using LO the way it works for me.
Comment 44 MarjaE 2017-02-15 22:35:54 UTC
In 5.2.2, I was able to work around the problem by reopening. It would stay open the second time each day.

In 5.2.5, I am not able to work around the problem.

Each time, MacOS verifies LibreOffice, then LibreOffice opens and crashes.
Comment 45 MarjaE 2017-02-15 22:50:51 UTC
(In reply to Telesto from comment #41)
> Temporary fix for the user profile related crashes: Disabling JAVA will
> prevent most/all crashes. LibreOffice -> Preferences -> Advanced -> Deselect
> "Use a Java runtime environment"

I don't ever remember selecting that, but I reinstalled 5.2.2, found and deselected that, reopened 5.2.5 in the dmg, and had it crash again.
Comment 46 MarjaE 2017-03-19 03:24:35 UTC
5.3.1 also crashes on startup. In 5.3.1, I am not able to work around the problem.
Comment 47 bikerman123 2017-03-19 04:30:15 UTC
Hello MarjaE,

   Reference Bug 103690. I have a MacBook Pro running MacOS 10.12.3 (Sierra)
I'm running LibreOffice Version: 5.2.5.1. This new version works perfectly.
I had problems with Version 5.3.1. The way I fixed it so I could use this version was by going into Applications, LibreOffice.app, Control Click on the app. icon, Opening the "Contents" folder and selecting the MacOS folder. Once it is opened, I would select  the "soffice" executable. LibreOffice opened every time with no problem.

If you chose this way, the "Terminal" app will open, show you the command line execution. LibreOffice will open. You may have to look at your menu bar to see the LibreOffice icon. If you click on it, everything works fine.

NOTE: Do not close the Terminal App while you're in LibreOffice. The application will crash. Once you are finished using LibreOffice, you can close it using the menu bar, and you will see the command line executable which closes the application.

Once LibreOffice closes, you can close the Terminal App. I used this method through 5.3.1, 5.3.2, and 5.4,2. I mentioned this is a previous post. Version 5.2.5.1 works correctly now. Hope this helps. If you're running Windows, I'm not help. Lol
Comment 48 Volker Birk 2017-03-30 11:00:15 UTC
I can reproduce the following behaviour on all my machines:

When I use Launchpad to start LibreOffice after a reboot it crashes in all cases.

When I open a Finder window, go to Applications, double click LibreOffice it opens.

When I from now on – after opening it once through double click in finder – use Launchpad, LibreOffice opens.

When I open it on command line with:

% open /Applications/LibreOffice.app

it still crashes (the prompt is marking zsh).

When I open a LibreOffice file with:

% open something.ods

it still crashes, too.
Comment 49 Alex Thurgood 2017-04-11 16:51:18 UTC
*** Bug 107054 has been marked as a duplicate of this bug. ***
Comment 50 Alex Thurgood 2017-05-04 07:38:56 UTC
*** Bug 105871 has been marked as a duplicate of this bug. ***
Comment 51 MarjaE 2017-08-11 16:35:40 UTC
5.4.0 opens from disk image, crashes from applications folder, opens on second attempt from applications folder.

Is anyone able to open LibreOffice, on MacOS, without special workarounds?
Comment 52 Alex Thurgood 2017-08-18 06:51:14 UTC
(In reply to MarjaE from comment #51)


> Is anyone able to open LibreOffice, on MacOS, without special workarounds?

Every day Marja, without any workaround.
Comment 53 Alex Thurgood 2017-08-18 07:04:43 UTC
(In reply to MarjaE from comment #51)



This bug report has been debugged, and the cause identified, but no fix has been coded - see comment 21.

For as long as that remains the case, the problem is unlikely to go away for those affected (other than by accident). It does not affect all users (unfortunately, else a solution would no doubt have been forthcoming ages ago).
Comment 54 Telesto 2018-02-03 12:59:29 UTC
*** Bug 115422 has been marked as a duplicate of this bug. ***
Comment 55 t.scheller 2018-02-03 14:24:28 UTC
I have the same issue with LibreOffice 6.0.0.3 see Bug 115422

I have deleted
~/Library/ApplicationSupport/LibreOffice
~/Library/ApplicationSupport/LibreOfficeDev
~/Library/ApplicationSupport/OpenOffice.org

I did disable Java in the settings.

OpenGL is disabled.

I do have only 1 discrete graphics chip. So there is no graphics card switching.

It is not related to high CPU load.

The workarround to run the soffice binary directly works for me.

LibreOffice does not quit when closing the terminal.
Comment 56 Tor Lillqvist 2018-02-03 15:38:47 UTC Comment hidden (off-topic)
Comment 57 Tor Lillqvist 2018-02-22 10:24:41 UTC
I think the essential thing in the tracebacks that hasn't bee mentioned (?) is the -[VCL_NSApplication screenParametersChanged:] line. For some reason, on some machines, that notification gets called too early before the SolarMutex has been set up (and VCL initialised in general).

However, I could not reproduce it directly on my machine, using any of the hints above (tried both running "instdir/LibreOfficeDev.app/Contents/MacOS/soffice", "open instdir/LibreOfficeDev.app", and even putting it into the Dock and clicking that. The screenParametersChanged: method does not get called.

I think in some other Mac crash bug report I have seen mentions that if the Dock has been resized to a non-standard size you would get crashes, so I tried that, too. I even tried resizing it back and forth while LO was starting, and with the machine loaded with a LO build with make -j10. But no crash.

But, if I add a sleep(5) in initNSApp() (vcl/osx/salinst.cxx):

>    [[NSNotificationCenter defaultCenter] addObserver: NSApp
>                                          selector: @selector(screenParametersChanged:)
>                                          name: NSApplicationDidChangeScreenParametersNotification
>                                          object: nil ];
>    SAL_DEBUG("     sleeping a bit");
>    sleep(5);
>    SAL_DEBUG("     slept");

and then change the Dock size in System Preferences while LO is sleeping, Boom!. The backtrace is exactly as mentioned here.

I guess it is possible that some machines have some modifications to settings, or particular hardware or software, that causes the system to send all apps a NSApplicationDidChangeScreenParametersNotification when they start, and in the LibreOffice case that arrives before it is ready.

So, the fix to this bug is probably to move the notification addObserver: calls to some later point, after VCL and the SolarMutex have been initialised. Will experiment.
Comment 58 Tor Lillqvist 2018-02-22 10:58:56 UTC
Fix in gerrit: https://gerrit.libreoffice.org/50164
Comment 59 Telesto 2018-02-22 12:38:20 UTC
(In reply to Tor Lillqvist from comment #58)
> Fix in gerrit: https://gerrit.libreoffice.org/50164

Applied the patch, and it has the desired result :-). Thanks Tor!
Comment 60 Commit Notification 2018-02-22 18:21:14 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8bd289c43c34ab9258f4b08a0f3f6143dc710e4e

tdf#103690: Set up notifications only after VCL has been initialised

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 61 Commit Notification 2018-02-22 21:44:55 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=42a5a054b70c7850ca47074c2d5dd249de3202b4&h=libreoffice-6-0

tdf#103690: Set up notifications only after VCL has been initialised

It will be available in 6.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 62 Commit Notification 2018-02-23 09:30:44 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bb787afc61a8827e3840e892e2adb525df4df2cd&h=libreoffice-5-4

tdf#103690: Set up notifications only after VCL has been initialised

It will be available in 5.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 63 Tor Lillqvist 2018-02-26 10:25:07 UTC
Can be resolved now presumably.
Comment 64 Telesto 2018-02-27 11:10:30 UTC
*** Bug 112283 has been marked as a duplicate of this bug. ***
Comment 65 Xisco Faulí 2018-04-03 15:00:21 UTC
*** Bug 116611 has been marked as a duplicate of this bug. ***